
package br.gov.arquitetura.bean;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.primefaces.model.LazyDataModel;

import br.gov.arquitetura.entidade.Entidade;
import br.gov.arquitetura.excecao.ExcecaoUtil;
import br.gov.arquitetura.util.ConstantesARQ;

@SuppressWarnings("rawtypes")
public abstract class PaginableBean<T extends Entidade> extends BaseBean<T> {

	private static final long serialVersionUID = 6758303059773814977L;

	protected LazyDataModel<T> lazyDataModel;

	public Map<String, String> filters = new HashMap<String, String>();

	public abstract Map<String, String> getFilters();

	@SuppressWarnings("unchecked")
	public LazyDataModel<T> getLazyDataModel() {
		try {
			if (lazyDataModel == null)
				lazyDataModel = new LazyDataModel() {

				private static final long serialVersionUID = 2595093445602418759L;

				@Override
				public List load(int first, int pageSize, String sortField, boolean sortOrder, Map filters) {
					try {
						if (getFilters() != null && !getFilters().isEmpty()) {
							filters.putAll(getFilters());
						}

						// Adicionado para ordenar a coluna de Nmero da OS quando a tela  aberta pela 1a vez
//						if (sortField == null) {
//							if (getModel() instanceof OrdemServico) {
//								sortField = "numeroOS";
//							}
//						}

						// Reduzindo o contador depois de filtrado
						int rowCount = universalManager.getCount(sortField, sortOrder, filters,
								getModel().getClass()).intValue();
						lazyDataModel.setRowCount(rowCount);
						return universalManager.paginate(first, pageSize, sortField, sortOrder, filters, getModel()
								.getClass());
					} catch (Exception e) {
						ExcecaoUtil.tratarExcecao(e);
					}
					return null;
				}
			};

			if (lazyDataModel.getRowCount() == 0) {
				if (getFilters() == null) {
					filters = new HashMap<String, String>();
					lazyDataModel.setRowCount(universalManager.getCount(getModel().getClass(), filters).intValue());
				} else {
					lazyDataModel
					.setRowCount(universalManager.getCount(getModel().getClass(), getFilters()).intValue());
				}
			}

		} catch (Exception e) {
			ExcecaoUtil.tratarExcecao(e);
		}
		return lazyDataModel;
	}

	public void setLazyDataModel(LazyDataModel<T> lazyDataModel) {
		this.lazyDataModel = lazyDataModel;
	}

	public String getPaginacao() {
		return ConstantesARQ.PAGINACAO;
	}
}
