package br.gov.arquitetura.envers;

import java.util.Date;

import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.hibernate.envers.RevisionListener;

import br.gov.mc.seg.client.consulta.entidade.Usuario;
import br.gov.mc.seg.client.web.Constants;

public class CustomListener implements RevisionListener {

	private static final String X_FORWARDED_FOR = "X-Forwarded-For";

	
	public void newRevision(Object revisionEntity) {
		Usuario usuario = this.getUsuario();
		

		RevInfo rev = (RevInfo) revisionEntity;
		rev.setDataAlteracao(new Date());
		if (usuario != null) {
			rev.setNomeUsuario(usuario.getLogin());
			rev.setIdUsuario(usuario.getId());
		} else {
			rev.setNomeUsuario("externo");
			//rev.setIdUsuario();
		}
		rev.setIp(this.getRequestIP());

	}

	private Usuario getUsuario() {
		ExternalContext context = FacesContext.getCurrentInstance().getExternalContext();
		HttpSession session = (HttpSession) context.getSession(false);
		Usuario usuario = (Usuario) session.getAttribute(Constants.USER_PARAMETER);

		return usuario;
	}

	public String getRequestIP() {
		HttpServletRequest request = (HttpServletRequest) FacesContext.getCurrentInstance().getExternalContext()
				.getRequest();

		// Recuperando o IP passando pelo proxy
		String address = request.getHeader(X_FORWARDED_FOR);

		if (address != null) {
			if (address.indexOf(',') != -1) {
				address = address.split(",")[0];
			}
			return address;
		}

		// Senao, recupera o IP remoto
		return request.getRemoteAddr();
	}
}