package br.gov.arquitetura.filter;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletResponse;

/**
 * Filtro para definir o Modo de Documento dos navegadores Internet Explorer
 * conforme link abaixo:
 * 
 * http://forum.primefaces.org/viewtopic.php?f=3&t=22724&p=70146#p70146
 * 
 * @author Daniel Jeremias
 * 
 */
public class IE8CompatablityFix implements Filter {

	
	public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException,
			ServletException {
		
		// Definir no cabeçalho da requisição para o modo de compatibilidade 
		// ser a mesma da versão do navegador. 
		((HttpServletResponse) response).setHeader("X-UA-Compatible", "IE=edge");
		
		chain.doFilter(request, response);
		
	}

	
	public void init(FilterConfig filterConfig) throws ServletException {
	}

	
	public void destroy() {
	}

}