package br.gov.arquitetura.util;

import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;

/**
 * Classe responsavel pelas mensagens ao usuario.
 * 
 * @author bruno.melo
 * 
 */
public class FacesMessagesUtil {

	private static void addMessage(FacesMessage.Severity severity, String summary, String detail) {
		FacesContext context = FacesContext.getCurrentInstance();
		context.addMessage(null, new FacesMessage(severity, summary, detail));
	}

	public static void addErrorMessage(String summary, String detail) {
		addMessage(FacesMessage.SEVERITY_ERROR, summary, detail);
	}

	public static void addErrorMessage(String detail) {
		addMessage(FacesMessage.SEVERITY_ERROR, null, detail);
	}

	public static void addInfoMessage(String summary, String detail) {
		addMessage(FacesMessage.SEVERITY_INFO, summary, detail);
	}

	public static void addInfoMessage(String detail) {
		addMessage(FacesMessage.SEVERITY_INFO, null, detail);
	}

	public static void addFatalMessage(String summary, String detail) {
		addMessage(FacesMessage.SEVERITY_FATAL, summary, detail);
	}

	public static void addWarnlMessage(String summary, String detail) {
		addMessage(FacesMessage.SEVERITY_WARN, summary, detail);
	}
}
