package br.gov.mc.arquitetura.converter;

import br.gov.mc.arquitetura.ws.client.entidade.EnderecoEntidade;
import br.gov.mc.arquitetura.ws.client.entidade.Entidade;
import br.gov.mc.corporativo.entidade.CrpEndereco;
import br.gov.mc.corporativo.entidade.CrpPessoa;
import br.gov.mc.corporativo.entidade.CrpTipoEndereco;



public class EnderecoWSConverter extends ConverterSupport {
	
	public static CrpEndereco convert(EnderecoEntidade ee){
		CrpEndereco e = null;
		
		if(ee != null){
			e = new CrpEndereco();
			e.setBairro(ee.getBairro());
			e.setCep(ee.getCep());
			e.setCidade(ee.getMunicipio() != null ? ee.getMunicipio().getNome() : null);
			e.setComplemento(ee.getComplemento());
			e.setCorrespondencia(false);
			e.setLogradouro(ee.getLogradouro());
			e.setMunicipio(ee.getMunicipio() != null ? LocalizacaoWSConverter.convert(ee.getMunicipio()) : null);
			e.setNumero(ee.getNumero());
			e.setPais(null);
			e.setPessoa(new CrpPessoa(ee.getEntidade().getId()));
			e.setTipoEndereco(new CrpTipoEndereco(3));	
			e.setCorrespondencia(true);
			
			return e;
		}
		
		return null;		
	}
	
	public static EnderecoEntidade convert(CrpEndereco endereco) {
		EnderecoEntidade e = null;
		if (endereco != null) {
			e = new EnderecoEntidade();
			e.setEntidade(new Entidade(endereco.getPessoa().getId()));
			e.setId(endereco.getId());
			e.setLogradouro(endereco.getLogradouro());
			e.setNumero(endereco.getNumero());
			e.setComplemento(endereco.getComplemento());
			e.setBairro(endereco.getBairro());
			e.setCep(endereco.getCep());
			e.setMunicipio(LocalizacaoWSConverter.convert(endereco.getMunicipio()));
			e.setTipo(EntidadeWSConverter.convert(endereco.getTipoEndereco()));
		}
		return e;
	}

}
