package br.gov.mc.arquitetura.converter;

import java.util.ArrayList;
import java.util.Collection;
import java.util.LinkedList;
import java.util.List;

import br.gov.mc.arquitetura.ws.client.entidade.Distrito;
import br.gov.mc.arquitetura.ws.client.entidade.Municipio;
import br.gov.mc.arquitetura.ws.client.entidade.Pais;
import br.gov.mc.arquitetura.ws.client.entidade.Regiao;
import br.gov.mc.arquitetura.ws.client.entidade.SubDistrito;
import br.gov.mc.arquitetura.ws.client.entidade.UF;
import br.gov.mc.corporativo.entidade.CrpDistrito;
import br.gov.mc.corporativo.entidade.CrpMunicipio;
import br.gov.mc.corporativo.entidade.CrpPais;
import br.gov.mc.corporativo.entidade.CrpRegiao;
import br.gov.mc.corporativo.entidade.CrpSubdistrito;
import br.gov.mc.corporativo.entidade.CrpUf;

public class LocalizacaoWSConverter extends ConverterSupport {
	
	public static CrpPais convert(Pais pais){
		CrpPais p = null;
		if(pais != null){
			p = new CrpPais();
			p.setId(pais.getId());
			p.setAtivo(pais.getAtivo());
			p.setNome(pais.getNome());
			p.setSigla(pais.getSigla());
		}
		
		return p;
	}
	
	public static Pais convert(CrpPais pais){
		Pais p = null;
		if(pais != null){
			p = new Pais();
			p.setAtivo(pais.getAtivo());
			p.setId(pais.getId());
			p.setNome(pais.getNome());
			p.setSigla(pais.getSigla());
		}
		
		return p;
	}
	
	public static Collection<Pais> convertPais(Collection<CrpPais> paises){
		Collection<Pais> ps = new ArrayList<Pais>();
		if(paises != null && paises.size() > 0){
			for (CrpPais pais : paises) {
				ps.add(convert(pais));
			}
		}
		
		return ps;
	}
	
	/*public static Pais[] convert(List<CrpPais> paises){
		List<Pais> list = new LinkedList<Pais>();
		if(paises != null && !paises.isEmpty()){
			for(CrpPais p : paises){
				list.add(convert(p));
			}
		}
		
		return toArray(list);
	}*/
	
	public static Collection<Regiao> convert(Collection<CrpRegiao> regioes){
		Collection<Regiao> rs = null;
		if(regioes != null && regioes.size() > 0){
			rs = new ArrayList<Regiao>();
			for(CrpRegiao r : regioes){
				rs.add(convert(r));
			}
		}
		
		return rs;
	}

	public static Regiao convert(CrpRegiao regiao) {
		Regiao r = null;
		if (regiao != null) {
			r = new Regiao();
			r.setId(regiao.getId());
			r.setDescricao(regiao.getNome());
		}
		return r;
	}
	
	public static CrpRegiao convert(Regiao regiao) {
		CrpRegiao r = null;
		if (regiao != null) {
			r = new CrpRegiao();
			r.setId(regiao.getId());
			r.setNome(regiao.getDescricao());
		}
		return r;
	}
	
	/*public static Regiao[] convert(List<CrpRegiao> regioes) {
		List<Regiao> list = new LinkedList<Regiao>();
		if (regioes != null && !regioes.isEmpty()) {
			for (CrpRegiao r : regioes) {
				list.add(convert(r));
			}
		}
		return toArray(list);
	}*/
	
	public static UF convert(CrpUf uf) {
		UF u = null;
		if (uf != null) {
			u = new UF();
			u.setId(uf.getId());
			u.setRegiao(convert(uf.getRegiao()));
			u.setSigla(uf.getSigla());
			u.setDescricao(uf.getNome());
			u.setPais(convert(uf.getPais()));
		}
		return u;
	}
	
	public static CrpUf convert(UF uf) {
		CrpUf u = null;
		if (uf != null) {
			u = new CrpUf();
			u.setId(uf.getId());
			u.setRegiao(convert(uf.getRegiao()));
			u.setSigla(uf.getSigla());
			u.setNome(uf.getDescricao());
			u.setPais(convert(uf.getPais()));
		}
		return u;
	}
	
	/*public static UF[] convert(List<CrpUf> ufs) {
		List<UF> list = new LinkedList<UF>();
		if (ufs != null && !ufs.isEmpty()) {
			for (CrpUf u : ufs) {
				list.add(convert(u));
			}
		}
		return toArray(list);
	}*/
	
	public static Municipio convert(CrpMunicipio municipio) {
		Municipio m = null;
		if (municipio != null) {
			m = new Municipio();
			m.setId(municipio.getId());
			m.setUf(convert(municipio.getUf()));
			m.setNome(municipio.getNome());
			m.setNomeAnterior(municipio.getNomeAnterior());
			m.setAnoInstalacao(municipio.getAnoInstalacao());
			m.setCodigoCorreio(municipio.getCodigoCorreio());
			m.setCodigoInss(municipio.getCodigoInss());
			m.setCodigoSiafi(municipio.getCodigoSiafi());
			m.setLatitude(municipio.getLatitude());
			m.setLongitude(municipio.getLongitude());
		}
		return m;
	}
	
	public static CrpMunicipio convert(Municipio municipio) {
		CrpMunicipio m = null;
		if (municipio != null) {
			m = new CrpMunicipio();
			m.setId(municipio.getId());
			m.setUf(convert(municipio.getUf()));
			m.setNome(municipio.getNome());
			m.setNomeAnterior(municipio.getNomeAnterior());
			m.setAnoInstalacao(municipio.getAnoInstalacao());
			m.setCodigoCorreio(municipio.getCodigoCorreio());
			m.setCodigoInss(municipio.getCodigoInss());
			m.setCodigoSiafi(municipio.getCodigoSiafi());
			m.setLatitude(municipio.getLatitude());
			m.setLongitude(municipio.getLongitude());
		}
		return m;
	}
	
	/*public static Municipio[] convert(List<CrpMunicipio> municipios) {
		List<Municipio> list = new LinkedList<Municipio>();
		if (municipios != null && !municipios.isEmpty()) {
			for (CrpMunicipio m : municipios) {
				list.add(convert(m));
			}
		}
		return toArray(list);
	}*/
	
	public static Distrito convert(CrpDistrito distrito) {
		Distrito d = null;
		if (distrito != null) {
			d = new Distrito();
			d.setId(String.valueOf(distrito.getId()));
			d.setMunicipio(convert(distrito.getMunicipio()));
			d.setNome(distrito.getNome());
			d.setLatitude(distrito.getLatitude());
			d.setLongitude(distrito.getLongitude());
		}
		return d;
	}
	
	public static CrpDistrito convert(Distrito distrito) {
		CrpDistrito d = null;
		if (distrito != null) {
			d = new CrpDistrito();
			d.setId((distrito.getId() != null && !"".equals(distrito.getId()) ? distrito.getId() : null));
			d.setMunicipio(convert(distrito.getMunicipio()));
			d.setNome(distrito.getNome());
			d.setLatitude(distrito.getLatitude());
			d.setLongitude(distrito.getLongitude());
		}
		return d;
	}
	
	/*public static Distrito[] convert(List<CrpDistrito> distritos) {
		List<Distrito> list = new LinkedList<Distrito>();
		if (distritos != null && !distritos.isEmpty()) {
			for (CrpDistrito m : distritos) {
				list.add(convert(m));
			}
		}
		return toArray(list);
	}*/
	
	public static SubDistrito convert(CrpSubdistrito subDistrito) {
		SubDistrito s = null;
		if (subDistrito != null) {
			s = new SubDistrito();
			s.setId(subDistrito.getId());
			s.setDistrito(convert(subDistrito.getDistrito()));
			s.setNome(subDistrito.getNome());
			s.setLatitude(subDistrito.getLatitude());
			s.setLongitude(subDistrito.getLongitude());
		}
		return s;
	}
	
	public static CrpSubdistrito convert(SubDistrito subDistrito) {
		CrpSubdistrito s = null;
		if (subDistrito != null) {
			s = new CrpSubdistrito();
			s.setId(subDistrito.getId());
			s.setDistrito(convert(subDistrito.getDistrito()));
			s.setNome(subDistrito.getNome());
			s.setLatitude(subDistrito.getLatitude());
			s.setLongitude(subDistrito.getLongitude());
		}
		return s;
	}

	public static SubDistrito[] convert(List<CrpSubdistrito> subDistritos) {
		List<SubDistrito> list = new LinkedList<SubDistrito>();
		if (subDistritos != null && !subDistritos.isEmpty()) {
			for (CrpSubdistrito s : subDistritos) {
				list.add(convert(s));
			}
		}
		return toArray(list);
	}

	public static Collection<UF> convertUfs(Collection<CrpUf> us) {
		Collection<UF> ufs = null;
		
		if(us != null && us.size() > 0){
			ufs = new ArrayList<UF>();
			for(CrpUf u : us){
				ufs.add(convert(u));
			}
		}
		
		return ufs;
	}

	public static Collection<Municipio> convertMunicipios(Collection<CrpMunicipio> ms) {
		Collection<Municipio> munis = null;
		
		if(ms != null && ms.size() > 0){
			munis = new ArrayList<Municipio>();
			for(CrpMunicipio m : ms){
				munis.add(convert(m));
			}
		}
		
		return munis;
	}

	public static Collection<Distrito> convertDistritos(Collection<CrpDistrito> ds) {
		Collection<Distrito> distritos = new ArrayList<Distrito>();
		if(ds != null && ds.size() > 0){
			for(CrpDistrito d : ds){
				distritos.add(convert(d));
			}
		}
		return distritos;
	}

	public static Collection<SubDistrito> convertSubDistritos(Collection<CrpSubdistrito> sds) {
		Collection<SubDistrito> subdistritos =  new ArrayList<SubDistrito>();
		
		if(sds != null && sds.size()> 0){
			for(CrpSubdistrito sd : sds){
				subdistritos.add(convert(sd));
			}
		}
		return subdistritos;
	}
}