package br.gov.mc.arquitetura.converter;

import java.util.Date;

import br.gov.mc.arquitetura.ws.client.entidade.Cargo;
import br.gov.mc.arquitetura.ws.client.entidade.Entidade;
import br.gov.mc.arquitetura.ws.client.entidade.EntidadePessoa;
import br.gov.mc.arquitetura.ws.client.entidade.Pessoa;
import br.gov.mc.corporativo.entidade.CrpPessoa;
import br.gov.mc.corporativo.entidade.CrpPessoaJuridica;
import br.gov.mc.corporativo.entidade.CrpQuadroSocioAdm;
import br.gov.mc.corporativo.entidade.CrpQualificacao;

public class QuadroSocioADMConveter {
	
	public static CrpQuadroSocioAdm convert(EntidadePessoa ep){
		CrpQuadroSocioAdm qsa = null;
		
		if(ep != null){
			qsa = new CrpQuadroSocioAdm();
			
			qsa.setDataInicio(new Date());
			qsa.setId(ep.getId());
			qsa.setRepresentanteLegal(true);
			qsa.setPessoa(new CrpPessoa(ep.getPessoa().getId()));
			qsa.setPessoaJuridica(new CrpPessoaJuridica(ep.getEntidade().getId()));
			qsa.setQualificacao(new CrpQualificacao("22"));
			qsa.setMotivo(null);
			qsa.setNaturezaJuridica(null);
			qsa.setSituacaoEspecial(null);
		}
		
		return qsa;
	}
	
	public static EntidadePessoa convert(CrpQuadroSocioAdm qsa){
		EntidadePessoa ep = null;
		
		if(qsa != null){
			ep = new EntidadePessoa();
			
			ep.setCargo( new Cargo(Integer.parseInt(qsa.getQualificacao().getId())));
			ep.setEntidade( new Entidade(qsa.getPessoaJuridica().getId()));
			ep.setId(qsa.getId());
			ep.setPessoa( new Pessoa(qsa.getPessoa().getId()));
		}
		
		return ep;
	}
	
}
