package br.gov.mc.arquitetura.converter;

import java.util.LinkedList;
import java.util.List;

import br.gov.mc.arquitetura.ws.client.entidade.Servico;
import br.gov.mc.corporativo.entidade.CrpServico;

public class ServicoWSConverter extends ConverterSupport {

	public static Servico[] convert(List<CrpServico> servicos) {
		List<Servico> list = new LinkedList<Servico>();
		if (servicos != null && !servicos.isEmpty()) {
			for (CrpServico s : servicos) {
				list.add(convert(s));
			}
		}
		return toArray(list);
	}
	
	public static CrpServico convert(Servico servico) {
		CrpServico s = null;
		if (servico != null) {
			s = new CrpServico();
			s.setId(servico.getId());
			s.setDescricao(servico.getDescricao());
			s.setNumero(servico.getNumero() != null ? servico.getNumero().intValue() : null);
			s.setSigla(servico.getSigla());
		}
		return s;
	}
}