package br.gov.mc.arquitetura.converter;

import br.gov.mc.arquitetura.ws.client.entidade.Entidade;
import br.gov.mc.arquitetura.ws.client.entidade.TelefoneEntidade;
import br.gov.mc.arquitetura.ws.client.entidade.TipoTelefone;
import br.gov.mc.corporativo.entidade.CrpContatoTelefone;
import br.gov.mc.corporativo.entidade.CrpPessoa;
import br.gov.mc.corporativo.entidade.CrpTipoTelefone;

public class TelefoneWSConverter extends ConverterSupport {
	
	public static TelefoneEntidade convert(CrpContatoTelefone telefone) {
		TelefoneEntidade t = null;
		if (telefone != null) {
			t = new TelefoneEntidade();
			t.setEntidade(new Entidade(telefone.getPessoa().getId()));
			t.setId(telefone.getId());
			t.setDdd(telefone.getNumDdd());
			t.setNumero(telefone.getNumTelefone());
			t.setTipo(new TipoTelefone(telefone.getTipoTelefone().getId()));
		}
		return t;
	}
	
	public static CrpContatoTelefone convert(TelefoneEntidade telefone){
		CrpContatoTelefone t = null;
		
		if(telefone != null){
			t = new CrpContatoTelefone();
			t.setNumDdd(telefone.getDdd());
			t.setId(telefone.getId());
			t.setNumTelefone(telefone.getNumero());
			t.setPessoa(new CrpPessoa(telefone.getEntidade().getId()));
			t.setTipoTelefone(new CrpTipoTelefone(telefone.getTipo().getId()));
			
			return t;
		}
		
		return null;
	}

}
