package br.gov.mc.arquitetura.util;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.config.BeanDefinition;
import org.springframework.context.annotation.ClassPathScanningCandidateComponentProvider;
import org.springframework.core.type.filter.AnnotationTypeFilter;

public class AnnotatedEntityDetector {
	
	private ClassPathScanningCandidateComponentProvider  scanningProvider;

    private String                                                         basePackage = "";

    private List<Class<? extends Object>>                      classes           = null;

    public AnnotatedEntityDetector() {
          this.scanningProvider = new ClassPathScanningCandidateComponentProvider(false);
          this.scanningProvider.addIncludeFilter(new AnnotationTypeFilter(javax.persistence.Entity.class));
    }

    public void setBasePackage(String basePackage) {
          this.basePackage = basePackage;
    }

    public List<Class<? extends Object>> getClasses() throws ClassNotFoundException {
          if (this.classes == null) {
                this.classes = new ArrayList<Class<? extends Object>>();
                for (BeanDefinition beanDef : this.scanningProvider.findCandidateComponents(this.basePackage)) {
                      this.classes.add(Class.forName(beanDef.getBeanClassName()));
                }
          }
          return this.classes;
    }

}
