package br.gov.mc.arquitetura.ws.client.entidade;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

@SuppressWarnings("serial")
public class Entidade implements Serializable {

	private Integer id;

	private String cnpj;

	private String sigla;

	private String razaoSocial;

	private String nomeFantasia;

	private String url;

	private Boolean ativo;

	private Collection<EnderecoEntidade> enderecos;

	private Collection<TelefoneEntidade> telefones;

	private Collection<EmailEntidade> emails;

	private Collection<EntidadePessoa> entidadesPessoa;

	private Collection<Fistel> numerosFistel;
	
	private String descricaoCnae;
	
	private String descricaoRepresentanteLegal;

	public Entidade() {
		super();
		this.enderecos = new ArrayList<EnderecoEntidade>();
		this.telefones = new ArrayList<TelefoneEntidade>();
		this.emails = new ArrayList<EmailEntidade>();
		this.entidadesPessoa = new ArrayList<EntidadePessoa>();
		this.numerosFistel = new ArrayList<Fistel>();
	}

	public Entidade(Integer id) {
		this();
		this.id = id;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getCnpj() {
		return this.cnpj;
	}

	public void setCnpj(String cnpj) {
		this.cnpj = cnpj;
	}

	public String getSigla() {
		return this.sigla;
	}

	public void setSigla(String sigla) {
		this.sigla = sigla;
	}

	public String getRazaoSocial() {
		return this.razaoSocial;
	}

	public void setRazaoSocial(String razaoSocial) {
		this.razaoSocial = razaoSocial;
	}

	public String getNomeFantasia() {
		return this.nomeFantasia;
	}

	public void setNomeFantasia(String nomeFantasia) {
		this.nomeFantasia = nomeFantasia;
	}

	public String getUrl() {
		return this.url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public Boolean getAtivo() {
		return this.ativo;
	}

	public void setAtivo(Boolean ativo) {
		this.ativo = ativo;
	}

	public Collection<EnderecoEntidade> getEnderecos() {
		return this.enderecos;
	}

	public void setEnderecos(List<EnderecoEntidade> enderecos) {
		this.enderecos = enderecos;
	}

	public Collection<TelefoneEntidade> getTelefones() {
		return this.telefones;
	}

	public void setTelefones(List<TelefoneEntidade> telefones) {
		this.telefones = telefones;
	}

	public Collection<EmailEntidade> getEmails() {
		return this.emails;
	}

	public void setEmails(List<EmailEntidade> emails) {
		this.emails = emails;
	}

	public Collection<EntidadePessoa> getEntidadesPessoa() {
		return this.entidadesPessoa;
	}

	public void setEntidadesPessoa(List<EntidadePessoa> entidadesPessoa) {
		this.entidadesPessoa = entidadesPessoa;
	}

	public void setNumerosFistel(List<Fistel> numerosFistel) {
		this.numerosFistel = numerosFistel;
	}

	public Collection<Fistel> getNumerosFistel() {
		return numerosFistel;
	}

	public void setDescricaoCnae(String descricaoCnae) {
		this.descricaoCnae = descricaoCnae;
	}

	public String getDescricaoCnae() {
		return descricaoCnae;
	}

	public String getDescricaoRepresentanteLegal() {
		return descricaoRepresentanteLegal;
	}

	public void setDescricaoRepresentanteLegal(String descricaoRepresentanteLegal) {
		this.descricaoRepresentanteLegal = descricaoRepresentanteLegal;
	}
	
	
}