package br.gov.mc.arquitetura.ws.client.entidade;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

@SuppressWarnings("serial")
public class Pessoa implements Serializable {

	private Integer id;

	private String cpf;

	private String nome;

	private Date dataNascimento;

	private String rg;

	private String orgaoEmissorRG;

	private Date dataEmissaoRG;

	private Character sexo;

	private Character nacionalidade;

	private String naturalidade;

	private Boolean ativo;

	private UF ufNaturalidade;

	private Collection<EnderecoPessoa> enderecos;

	private Collection<TelefonePessoa> telefones;

	private Collection<EmailPessoa> emails;

	private Collection<EntidadePessoa> entidadesPessoa;
	
	private Municipio municipio;
	
	private Pais pais;
	
	private CorRaca corRaca;
	
	private Escolaridade escolaridade;
	
	private Profissao profissao;

	public Pessoa() {
		super();
		this.enderecos = new ArrayList<EnderecoPessoa>();
		this.telefones = new ArrayList<TelefonePessoa>();
		this.emails = new ArrayList<EmailPessoa>();
		this.entidadesPessoa = new ArrayList<EntidadePessoa>();
	}

	public Pessoa(Integer id) {
		super();
		this.id = id;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getCpf() {
		return this.cpf;
	}

	public void setCpf(String cpf) {
		this.cpf = cpf;
	}

	public String getNome() {
		return this.nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public Date getDataNascimento() {
		return this.dataNascimento;
	}

	public void setDataNascimento(Date dataNascimento) {
		this.dataNascimento = dataNascimento;
	}

	public String getRg() {
		return this.rg;
	}

	public void setRg(String rg) {
		this.rg = rg;
	}

	public String getOrgaoEmissorRG() {
		return this.orgaoEmissorRG;
	}

	public void setOrgaoEmissorRG(String orgaoEmissorRG) {
		this.orgaoEmissorRG = orgaoEmissorRG;
	}

	public Date getDataEmissaoRG() {
		return this.dataEmissaoRG;
	}

	public void setDataEmissaoRG(Date dataEmissaoRG) {
		this.dataEmissaoRG = dataEmissaoRG;
	}

	public Character getSexo() {
		return this.sexo;
	}

	public void setSexo(Character sexo) {
		this.sexo = sexo;
	}

	public Character getNacionalidade() {
		return this.nacionalidade;
	}

	public void setNacionalidade(Character nacionalidade) {
		this.nacionalidade = nacionalidade;
	}

	public String getNaturalidade() {
		return this.naturalidade;
	}

	public void setNaturalidade(String naturalidade) {
		this.naturalidade = naturalidade;
	}

	public Boolean getAtivo() {
		return this.ativo;
	}

	public void setAtivo(Boolean ativo) {
		this.ativo = ativo;
	}

	public UF getUfNaturalidade() {
		return this.ufNaturalidade;
	}

	public void setUfNaturalidade(UF ufNaturalidade) {
		this.ufNaturalidade = ufNaturalidade;
	}

	public Collection<EnderecoPessoa> getEnderecos() {
		return this.enderecos;
	}

	public void setEnderecos(List<EnderecoPessoa> enderecos) {
		this.enderecos = enderecos;
	}

	public Collection<TelefonePessoa> getTelefones() {
		return this.telefones;
	}

	public void setTelefones(List<TelefonePessoa> telefones) {
		this.telefones = telefones;
	}

	public Collection<EmailPessoa> getEmails() {
		return this.emails;
	}

	public void setEmails(List<EmailPessoa> emails) {
		this.emails = emails;
	}

	public Collection<EntidadePessoa> getEntidadesPessoa() {
		return this.entidadesPessoa;
	}

	public void setEntidadesPessoa(List<EntidadePessoa> entidadesPessoa) {
		this.entidadesPessoa = entidadesPessoa;
	}

	public Municipio getMunicipio() {
		return municipio;
	}

	public void setMunicipio(Municipio municipio) {
		this.municipio = municipio;
	}

	public Pais getPais() {
		return pais;
	}

	public void setPais(Pais pais) {
		this.pais = pais;
	}

	public CorRaca getCorRaca() {
		return corRaca;
	}

	public void setCorRaca(CorRaca corRaca) {
		this.corRaca = corRaca;
	}

	public Escolaridade getEscolaridade() {
		return escolaridade;
	}

	public void setEscolaridade(Escolaridade escolaridade) {
		this.escolaridade = escolaridade;
	}

	public Profissao getProfissao() {
		return profissao;
	}

	public void setProfissao(Profissao profissao) {
		this.profissao = profissao;
	}	
	
}