package br.gov.mc.arquitetura.ws.dao;

import java.util.Calendar;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import br.gov.mc.arquitetura.converter.EntidadeWSConverter;
import br.gov.mc.arquitetura.converter.PessoaJuridicaWSConverter;
import br.gov.mc.arquitetura.util.PessoaJuridicaUtil;
import br.gov.mc.arquitetura.ws.client.entidade.EmailEntidade;
import br.gov.mc.arquitetura.ws.client.entidade.EnderecoEntidade;
import br.gov.mc.arquitetura.ws.client.entidade.Entidade;
import br.gov.mc.arquitetura.ws.client.entidade.TelefoneEntidade;
import br.gov.mc.corporativo.entidade.CrpPessoaJuridica;

@Repository("entidadeDAO")
public class EntidadeDAO {

	@Autowired
	protected PessoaJuridicaUtil dao;

	public EntidadeDAO() {

	}

	public EntidadeDAO(String url) {

	}

	public Entidade[] pesquisar(Entidade entidade) throws Exception {
		return EntidadeWSConverter.convert(EntidadeWSConverter.convert(dao.pesquisarInteligente(PessoaJuridicaWSConverter
				.convert(entidade))));
	}
	
	public Entidade[] pesquisarInteligente(Entidade entidade) throws Exception {
		return EntidadeWSConverter.convert(EntidadeWSConverter.convert(dao.pesquisarInteligente(PessoaJuridicaWSConverter
				.convert(entidade))));
	}


	public Entidade recuperarAtualizarReceita(Entidade entidade) throws Exception {

		CrpPessoaJuridica crpPessoaJuridica = (CrpPessoaJuridica) dao.get(CrpPessoaJuridica.class, entidade.getId());
			// Caso no esteja atualizado, atualiza e retorna um array.
			Entidade[] entidades = EntidadeWSConverter.convert(EntidadeWSConverter.convert(dao
					.pesquisarInteligente(PessoaJuridicaWSConverter.convert(entidade))));
			
			if (entidades != null && entidades.length > 0) {
				return entidades[0];
			} else {
				return null;
			}

	}

	public Entidade recuperar(Entidade entidade) throws Exception {

		return EntidadeWSConverter.convert((CrpPessoaJuridica) dao.get(CrpPessoaJuridica.class, entidade.getId()));
	}

	public Entidade recuperarSemServico(Entidade entidade) throws Exception {
		return EntidadeWSConverter.convert((CrpPessoaJuridica) dao.get(CrpPessoaJuridica.class, entidade.getId()));
	}

	public Integer salvar(Entidade entidade) throws Exception {
		entidade = (Entidade) dao.save(entidade);

		return entidade.getId();
	}

	public void alterar(Entidade entidade) throws Exception {
		dao.update(entidade);
	}

	public void remover(Entidade entidade) throws Exception {
		dao.remove(entidade.getClass(), entidade.getId());
	}

	public EmailEntidade recuperar(EmailEntidade email) throws Exception {
		return (EmailEntidade) dao.get(email.getClass(), email.getId());
	}

	public Integer salvar(EmailEntidade email) throws Exception {
		email = (EmailEntidade) dao.save(email);
		return email.getId();
	}

	public void alterar(EmailEntidade email) throws Exception {
		dao.update(email);
	}

	public void remover(EmailEntidade email) throws Exception {
		dao.remove(email.getClass(), email.getId());
	}

	public EnderecoEntidade recuperar(EnderecoEntidade endereco) throws Exception {
		return (EnderecoEntidade) dao.get(endereco.getClass(), endereco.getId());
	}

	public Integer salvar(EnderecoEntidade endereco) throws Exception {
		endereco = (EnderecoEntidade) dao.save(endereco);
		return endereco.getId();
	}

	public void alterar(EnderecoEntidade endereco) throws Exception {
		dao.update(endereco);
	}

	public void remover(EnderecoEntidade endereco) throws Exception {
		dao.remove(endereco.getClass(), endereco.getId());
	}

	public TelefoneEntidade recuperar(TelefoneEntidade telefone) throws Exception {
		return (TelefoneEntidade) dao.get(telefone.getClass(), telefone.getId());
	}

	public Integer salvar(TelefoneEntidade telefone) throws Exception {
		telefone = (TelefoneEntidade) dao.save(telefone);
		return telefone.getId();
	}

	public void alterar(TelefoneEntidade telefone) throws Exception {
		dao.update(telefone);
	}

	public void remover(TelefoneEntidade telefone) throws Exception {
		dao.remove(telefone.getClass(), telefone.getId());
	}

	public Entidade pesquisarEntidadePorFistel(String numeroFistel) throws Exception {
		return null;
	}

}
