package br.gov.mc.arquitetura.ws.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import br.gov.mc.arquitetura.converter.QuadroSocioADMConveter;
import br.gov.mc.arquitetura.persistencia.UniversalDao;
import br.gov.mc.arquitetura.persistencia.impl.UniversalDaoImpl;
import br.gov.mc.arquitetura.ws.client.entidade.EntidadePessoa;
import br.gov.mc.corporativo.entidade.CrpQuadroSocioAdm;

@Repository("entidadePessoaDAO")
public class EntidadePessoaDAO extends UniversalDaoImpl {

	public EntidadePessoaDAO() throws Exception {

	}

	public EntidadePessoa recuperar(EntidadePessoa entidadePessoa) throws Exception {
		CrpQuadroSocioAdm q = QuadroSocioADMConveter.convert(entidadePessoa);
		return (EntidadePessoa) QuadroSocioADMConveter.convert((CrpQuadroSocioAdm) get(q.getClass(), q.getId()));
	}

	public Integer salvar(EntidadePessoa entidadePessoa) throws Exception {
		CrpQuadroSocioAdm q = QuadroSocioADMConveter.convert(entidadePessoa);
		q = (CrpQuadroSocioAdm) save(q);
		return q.getId();
	}

	public void alterar(EntidadePessoa entidadePessoa) throws Exception {
		CrpQuadroSocioAdm q = QuadroSocioADMConveter.convert(entidadePessoa);
		update(q);
	}

	public void remover(EntidadePessoa entidadePessoa) throws Exception {
		CrpQuadroSocioAdm q = QuadroSocioADMConveter.convert(entidadePessoa);
		remove(q.getClass(), q.getId());
	}
}
