package br.gov.mc.cadsei.bean;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;

import org.primefaces.context.RequestContext;

import br.gov.arquitetura.bean.PaginableBean;
import br.gov.mc.cadsei.entidade.CadPeticao;
import br.gov.mc.cadsei.service.PeticaoService;
import br.gov.mc.cadsei.util.SessionUtil;

@ManagedBean(name = "consultarPeticaoBean")
@ViewScoped
public class ConsultarPeticaoBean extends PaginableBean<CadPeticao> {

	private static final long serialVersionUID = 1L;

	private String tipoPessoa;

	private final String PETICAO = "PETICAO";

	private List<CadPeticao> listPeticoes;

	@ManagedProperty(value = "#{peticaoPrtoService}")
	private transient PeticaoService peticaoService;

	@Override
	public CadPeticao createModel() {
		return new CadPeticao();
	}

	@Override
	public String getQualifiedName() {
		return "Peti&ccedil;&atilde;o";
	}

	@Override
	public boolean isFeminino() {
		return true;
	}

	@PostConstruct
	public void init() {

	}

	public void pesquisar() {
		this.setListPeticoes(null);
		RequestContext.getCurrentInstance().addPartialUpdateTarget("dt-peticoes");
	}

	public String visualizarPeticao() {
		FacesContext.getCurrentInstance().getExternalContext().getSessionMap().put(PETICAO, this.getModel().getId());
		return redirect("cadastro-peticao.jsf");
	}
	
	public String novaPeticao() {
		return redirect("cadastro-peticao.jsf");
	}
	
	public String getTipoPessoa() {
		return tipoPessoa;
	}

	public void setTipoPessoa(String tipoPessoa) {
		this.tipoPessoa = tipoPessoa;
	}

	public List<CadPeticao> getListPeticoes() {
		if (listPeticoes == null) {
			listPeticoes = new ArrayList<CadPeticao>();
			listPeticoes = this.getPeticaoService().findPeticoes(SessionUtil.getProponenteLogado(), this.getTipoPessoa());
		}
		return listPeticoes;
	}

	public void setListPeticoes(List<CadPeticao> listPeticoes) {
		this.listPeticoes = listPeticoes;
	}

	public PeticaoService getPeticaoService() {
		return peticaoService;
	}

	public void setPeticaoService(PeticaoService peticaoService) {
		this.peticaoService = peticaoService;
	}

	@Override
	public Map<String, String> getFilters() {
		return null;
	}

}