package br.gov.mc.cadsei.bean;

import java.io.IOException;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.ViewScoped;

import br.gov.arquitetura.bean.BaseBean;
import br.gov.arquitetura.excecao.ExcecaoUtil;
import br.gov.mc.cadsei.entidade.CadProponente;
import br.gov.mc.cadsei.entidade.dto.QuantitativoDto;
import br.gov.mc.cadsei.service.GenericService;
import br.gov.mc.cadsei.util.PDFExporter;

@ManagedBean(name = "relatorioGerencialBean")
@ViewScoped
public class RelatorioGerencialBean extends BaseBean<CadProponente> {

	private static final long serialVersionUID = 1L;
	
	private QuantitativoDto quantitativo;
	private String tables;
	private String fileName;

	@ManagedProperty(value = "#{genericService}")
	private transient GenericService genericService;	
	
	@Override
	public CadProponente createModel() {
		return new CadProponente();
	}

	@Override
	public String getQualifiedName() {
		return "Relat&oacute;rio gerencial";
	}

	@Override
	public boolean isFeminino() {
		return false;
	}
	
	public String imprimir(){
		try {
			PDFExporter.export(this.getTables().split(","), this.getFileName());
		} catch (IOException e) {
			ExcecaoUtil.tratarExcecao(e);
			return ERROR;
		}
		return SUCCESS;
	}

	public GenericService getGenericService() {
		return genericService;
	}

	public void setGenericService(GenericService genericService) {
		this.genericService = genericService;
	}

	public QuantitativoDto getQuantitativo() {
		if(this.quantitativo == null){
			this.quantitativo = this.getGenericService().getDadosRelatorio();
		}
		return this.quantitativo;
	}

	public void setQuantitativo(QuantitativoDto quantitativo) {
		this.quantitativo = quantitativo;
	}

	public String getTables() {
		return tables;
	}

	public void setTables(String tables) {
		this.tables = tables;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

}