package br.gov.mc.cadsei.bean.interno;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;

import org.primefaces.context.RequestContext;
import org.primefaces.model.LazyDataModel;

import br.gov.arquitetura.bean.PaginableBean;
import br.gov.arquitetura.excecao.ExcecaoUtil;
import br.gov.mc.cadsei.entidade.CadArea;
import br.gov.mc.cadsei.entidade.CadPeticao;
import br.gov.mc.cadsei.entidade.CadSituacaoPeticaoD;

@ManagedBean(name = "listarPeticaoBean")
@ViewScoped
public class ListarPeticaoBean extends PaginableBean<CadPeticao> {

	private static final long serialVersionUID = 1L;
	
	private final String PETICAO = "peticao";
	
	private CadSituacaoPeticaoD situacao;
	private List<CadSituacaoPeticaoD> situacoes;
	
	private CadArea area;
	private List<CadArea> areas;

	@Override
	public CadPeticao createModel() {
		return new CadPeticao();
	}

	@Override
	public String getQualifiedName() {
		return "Peti&ccedil;&atilde;o";
	}

	@Override
	public boolean isFeminino() {
		return true;
	}
	
	@Override
	public Map<String, String> getFilters() {
		if(this.filters == null){
			this.filters = new HashMap<String, String>();
		}
		return this.filters;
	}
	
	@PostConstruct
	public void init(){
		
	}
	
	@SuppressWarnings({ "unchecked", "rawtypes" })
	public LazyDataModel<CadPeticao> getLazyDataModel() {
		try {
			if (lazyDataModel == null)
				lazyDataModel = new LazyDataModel() {

				private static final long serialVersionUID = 2595093445602418759L;

				@Override
				public List<CadPeticao> load(int first, int pageSize, String sortField, boolean sortOrder, Map filters) {
					try {
						if (getFilters() != null && !getFilters().isEmpty()) {
							filters.putAll(getFilters());
						}
						// Reduzindo o contador depois de filtrado
						int rowCount = universalManager.getCount(sortField, sortOrder, filters,getModel().getClass()).intValue();
						lazyDataModel.setRowCount(rowCount);
						return universalManager.paginate(first, pageSize, sortField, sortOrder, filters, getModel().getClass());
					} catch (Exception e) {
						ExcecaoUtil.tratarExcecao(e);
					}
					return null;
				}
				
			};

			if (lazyDataModel.getRowCount() == 0) {
				if (getFilters() == null) {
					filters = new HashMap<String, String>();
					lazyDataModel.setRowCount(universalManager.getCount(getModel().getClass(), filters).intValue());
				} else {
					lazyDataModel.setRowCount(universalManager.getCount(getModel().getClass(), getFilters()).intValue());
				}
				lazyDataModel.setPageSize(lazyDataModel.getPageSize() != 0 ? lazyDataModel.getPageSize() : -1);
			}

		} catch (Exception e) {
			ExcecaoUtil.tratarExcecao(e);
		}
		System.out.println(lazyDataModel.getRowCount());
		return lazyDataModel;
	}

	public String analisar(){
		FacesContext.getCurrentInstance().getExternalContext().getSessionMap().put(PETICAO, this.getModel().getId());
		return this.redirect("analisar-peticao.jsf");
	}
	
	public void pesquisar(){
		if(this.getSituacao() != null && this.getSituacao().getId() != null){			
			this.getFilters().put("situacao.id", this.getSituacao().getId().toString());
		}
		if(this.getArea() != null && this.getArea().getId() != null) {
			this.getFilters().put("area.id", this.getArea().getId().toString());
		}
		if(this.getArea().getId() == null && this.getSituacao().getId() == null) {
			this.getFilters().clear();
		}
		
		this.lazyDataModel = null;
		RequestContext.getCurrentInstance().addPartialUpdateTarget("dt-peticoes");
	}

	@SuppressWarnings("unchecked")
	public List<CadSituacaoPeticaoD> getSituacoes() {
		if(this.situacoes == null){
			this.situacoes = this.getUniversalManager().getAll(CadSituacaoPeticaoD.class);
		}
		return this.situacoes;
	}

	public void setSituacoes(List<CadSituacaoPeticaoD> situacoes) {
		this.situacoes = situacoes;
	}

	public CadSituacaoPeticaoD getSituacao() {
		if(this.situacao == null){
			this.situacao = new CadSituacaoPeticaoD();
		}
		return this.situacao;
	}

	public void setSituacao(CadSituacaoPeticaoD situacao) {
		this.situacao = situacao;
	}

	public CadArea getArea() {
		if(this.area == null){
			this.area = new CadArea();
		}
		return this.area;
	}

	public void setArea(CadArea area) {
		this.area = area;
	}

	@SuppressWarnings("unchecked")
	public List<CadArea> getAreas() {
		if(this.areas == null){
			this.areas = this.getUniversalManager().getAll(CadArea.class);
		}
		return areas;
	}

	public void setAreas(List<CadArea> areas) {
		this.areas = areas;
	}

	
	
}