package br.gov.mc.cadsei.dao;

import java.util.List;

import br.gov.mc.cadsei.entidade.CadArea;
import br.gov.mc.cadsei.entidade.CadAreaServico;
import br.gov.mc.cadsei.entidade.CadDocumentoPeticao;
import br.gov.mc.cadsei.entidade.CadPeticao;
import br.gov.mc.cadsei.entidade.CadProponente;
import br.gov.mc.cadsei.entidade.CadSeiIntegracao;
import br.gov.mc.cadsei.entidade.CadServicoSolicitacao;
import br.gov.mc.cadsei.entidade.dto.CprdProtocoloDto;

public interface PeticaoDao {

	  public CadPeticao save(CadPeticao peticao) throws Exception;

	    public CadPeticao getPeticaoByProponente(CadProponente proponente);
	    
	    public CadPeticao getByPeticao(CadPeticao peticao);

	    public List<CadDocumentoPeticao> getDocumentosPeticao(CadPeticao peticao);

	    public CprdProtocoloDto getProtocolo(String numero);

	    public CprdProtocoloDto getProtocoloSEI(String numero);

	    public List<CadArea> findAreaByProcuracao(Integer idProcuracao);

	    public List<CadAreaServico> findServicoByProcuracao(Integer idArea, Integer idProcuracao);

	    public List<CadServicoSolicitacao> findSolicitacaoByProcuracao(Integer idServico, Integer idProcuracao);

	    public CadSeiIntegracao findSeiIntegracaoByIdPedticao(CadPeticao peticao);
	    
	    public List<CadPeticao> findPeticoes(CadProponente proponente, String tipoPessoa);
	
}