package br.gov.mc.cadsei.entidade;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name = "CAD_AREA", catalog = "CADSEI")
public class CadArea extends Entidade<Integer> {
	
	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_AREA", unique = true, nullable = false)
	private Integer id;

	@Column(name = "DSC_AREA", nullable = false)
	private String dscArea;
	
	public CadArea(Integer id) {
		this.id = id;
	}
	public CadArea() {

	}
	
	@Override
	public Integer getId() {
		return id;
	}

	@Override
	public void setId(Integer id) {
		this.id = id;
	}

	public String getDscArea() {
		return dscArea;
	}

	public void setDscArea(String dscArea) {
		this.dscArea = dscArea;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result
 + ((dscArea == null) ? 0 : dscArea.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		CadArea other = (CadArea) obj;
		if (id == null) {
			if (other.id != null) {
				return false;
			}
		} else if (!id.equals(other.id)) {
			return false;
		}
		if (dscArea == null) {
			if (other.dscArea != null) {
				return false;
			}
		} else if (!dscArea.equals(other.dscArea)) {
			return false;
		}
		return true;
	}

}