package br.gov.mc.cadsei.entidade;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name = "CAD_AREA_SERVICO", catalog = "CADSEI")
public class CadAreaServico extends Entidade<Integer> {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_AREA_SERVICO", unique = true, nullable = false)
	private Integer id;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_SERVICO", nullable = false)
	private CadServico servico;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_AREA", nullable = true)
	private CadArea area;

	@Override
	public Integer getId() {
		return id;
	}

	@Override
	public void setId(Integer id) {
		this.id = id;
	}

	public CadServico getServico() {
		if (servico == null) {
			servico = new CadServico();
		}
		return servico;
	}

	public void setServico(CadServico servico) {
		this.servico = servico;
	}

	public CadArea getArea() {
		if (area == null) {
			area = new CadArea();
		}
		return area;
	}

	public void setArea(CadArea area) {
		this.area = area;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((servico == null) ? 0 : servico.hashCode());
		result = prime * result + ((area == null) ? 0 : area.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		CadAreaServico other = (CadAreaServico) obj;
		if (id == null) {
			if (other.id != null) {
				return false;
			}
		} else if (!id.equals(other.id)) {
			return false;
		}
		if (servico == null) {
			if (other.servico != null) {
				return false;
			}
		} else if (!servico.equals(other.servico)) {
			return false;
		}
		if (area == null) {
			if (other.area != null) {
				return false;
			}
		} else if (!area.equals(other.area)) {
			return false;
		}
		return true;
	}

}