package br.gov.mc.cadsei.entidade;

import java.sql.Blob;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name="CAD_DOCUMENTO", catalog="CADSEI" )
public class CadDocumento extends Entidade<Integer> {
	
	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_DOCUMENTO", unique = true, nullable = false)
	private Integer id;

	@OneToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "ID_TIPO_DOCUMENTO", nullable = false)
	private CadTipoDocumentoD tipoDocumento;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_EMPRESA", nullable = true)
	private CadEmpresa empresa;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_PROPONENTE", nullable = true)
	private CadProponente proponente;
	
	@Column(name = "IMG_DOCUMENTO", nullable = false)	
	private Blob documento;

	@Column(name = "NOM_DOCUMENTO", nullable = false)
	private String nomDocumento;
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Blob getDocumento() {
		return documento;
	}

	public void setDocumento(Blob documento) {
		this.documento = documento;
	}

	public String getNomDocumento() {
		return nomDocumento;
	}

	public void setNomDocumento(String nomDocumento) {
		this.nomDocumento = nomDocumento;
	}

	public CadTipoDocumentoD getTipoDocumento() {
		if(this.tipoDocumento == null){
			this.tipoDocumento = new CadTipoDocumentoD();
		}
		return this.tipoDocumento;
	}

	public void setTipoDocumento(CadTipoDocumentoD tipoDocumento) {
		this.tipoDocumento = tipoDocumento;
	}

	public CadEmpresa getEmpresa() {
		if(this.empresa == null){
			this.empresa = new CadEmpresa();
		}
		return this.empresa;
	}

	public void setEmpresa(CadEmpresa empresa) {
		this.empresa = empresa;
	}
	
	public CadProponente getProponente() {
		if(this.proponente == null){
			this.proponente = new CadProponente();
		}
		return this.proponente;
	}

	public void setProponente(CadProponente proponente) {
		this.proponente = proponente;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((documento == null) ? 0 : documento.hashCode());
		result = prime * result + ((empresa == null) ? 0 : empresa.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result
				+ ((nomDocumento == null) ? 0 : nomDocumento.hashCode());
		result = prime * result
				+ ((proponente == null) ? 0 : proponente.hashCode());
		result = prime * result
				+ ((tipoDocumento == null) ? 0 : tipoDocumento.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		CadDocumento other = (CadDocumento) obj;
		if (documento == null) {
			if (other.documento != null)
				return false;
		} else if (!documento.equals(other.documento))
			return false;
		if (empresa == null) {
			if (other.empresa != null)
				return false;
		} else if (!empresa.equals(other.empresa))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (nomDocumento == null) {
			if (other.nomDocumento != null)
				return false;
		} else if (!nomDocumento.equals(other.nomDocumento))
			return false;
		if (proponente == null) {
			if (other.proponente != null)
				return false;
		} else if (!proponente.equals(other.proponente))
			return false;
		if (tipoDocumento == null) {
			if (other.tipoDocumento != null)
				return false;
		} else if (!tipoDocumento.equals(other.tipoDocumento))
			return false;
		return true;
	}

}