package br.gov.mc.cadsei.entidade;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;
import br.gov.mc.seg.entidade.SegUsuario;

/**
 * The persistent class for the CAD_EMPRESA_H database table.
 * 
 */
@Entity
@Table(name = "CAD_EMPRESA_H", catalog = "CADSEI")
public class CadHistoricoEmpresa extends Entidade<Integer> implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "ID_EMPRESA_H", unique = true, nullable = false)
    private Integer id;

    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "ID_EMPRESA")
    private CadEmpresa empresa;

    @Column(name = "CAMPO_ALTERADO")
    private String campoAlterado;

    @ManyToOne(fetch = FetchType.EAGER, optional = true)
    @JoinColumn(name = "ID_SITUACAO_CADASTRO")
    private CadSituacaoCadastroD situacaoCadastro;

    @OneToOne(fetch = FetchType.LAZY, optional = true)
    @JoinColumn(name = "ID_ANALISTA")
    private SegUsuario analista;

    @Column(name = "DT_ALTERACAO")
    private Date dtAlteracao;

    public Integer getId() {
	return id;
    }

    public void setId(Integer id) {
	this.id = id;
    }

    public CadEmpresa getEmpresa() {
	return empresa;
    }

    public void setEmpresa(CadEmpresa empresa) {
	this.empresa = empresa;
    }

    public String getCampoAlterado() {
	return campoAlterado;
    }

    public void setCampoAlterado(String campoAlterado) {
	this.campoAlterado = campoAlterado;
    }

    public CadSituacaoCadastroD getSituacaoCadastro() {
	return situacaoCadastro;
    }

    public void setSituacaoCadastro(CadSituacaoCadastroD situacaoCadastro) {
	this.situacaoCadastro = situacaoCadastro;
    }

    public SegUsuario getAnalista() {
	return analista;
    }

    public void setAnalista(SegUsuario analista) {
	this.analista = analista;
    }

    public Date getDtAlteracao() {
	return dtAlteracao;
    }

    public void setDtAlteracao(Date dtAlteracao) {
	this.dtAlteracao = dtAlteracao;
    }

}