package br.gov.mc.cadsei.entidade;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import br.gov.arquitetura.entidade.Entidade;
import br.gov.mc.seg.entidade.SegUsuario;

/**
 * The persistent class for the CAD_PROPONENTE_H database table.
 * 
 */
@Entity
@Table(name = "CAD_PROPONENTE_H", catalog = "CADSEI")
public class CadHistoricoProponente extends Entidade<Integer> implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "ID_PROPONENTE_H", unique = true, nullable = false)
    private Integer id;

    @ManyToOne(fetch = FetchType.LAZY, optional = false, cascade = CascadeType.MERGE)
    @JoinColumn(name = "ID_PROPONENTE")
    private CadProponente proponente;

    @Column(name = "CAMPO_ALTERADO")
    private String campoAlterado;

    @ManyToOne(fetch = FetchType.EAGER, optional = true)
    @JoinColumn(name = "ID_SITUACAO_CADASTRO")
    private CadSituacaoCadastroD situacaoCadastro;

    @ManyToOne(fetch = FetchType.LAZY, optional = true)
    @JoinColumn(name = "ID_ANALISTA")
    private SegUsuario analista;

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "DT_ALTERACAO", nullable = false)
    private Date dtAlteracao;

    public Integer getId() {
	return id;
    }

    public void setId(Integer id) {
	this.id = id;
    }

    public CadProponente getProponente() {
	return proponente;
    }

    public void setProponente(CadProponente proponente) {
	this.proponente = proponente;
    }

    public String getCampoAlterado() {
	return campoAlterado;
    }

    public void setCampoAlterado(String campoAlterado) {
	this.campoAlterado = campoAlterado;
    }

    public CadSituacaoCadastroD getSituacaoCadastro() {
	return situacaoCadastro;
    }

    public void setSituacaoCadastro(CadSituacaoCadastroD situacaoCadastro) {
	this.situacaoCadastro = situacaoCadastro;
    }

    public SegUsuario getAnalista() {
	if (this.analista == null) {
	    this.analista = new SegUsuario();
	}
	return this.analista;
    }

    public void setAnalista(SegUsuario analista) {
	this.analista = analista;
    }

    public Date getDtAlteracao() {
	return dtAlteracao;
    }

    public void setDtAlteracao(Date dtAlteracao) {
	this.dtAlteracao = dtAlteracao;
    }
}