package br.gov.mc.cadsei.entidade;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name="CAD_PROCURACAO_SOLICITACAO", catalog="CADSEI" )
public class CadProcuracaoSolicitacao extends Entidade<Integer> {
	
	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_PROCURACAO_SOLICITACAO", unique = true, nullable = false)
	private Integer id;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_PROCURACAO", nullable = false)
	private CadProcuracao procuracao;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_SOLICITACAO", nullable = false)
	private CadSolicitacao solicitacao;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_AREA", nullable = false)
	private CadArea area;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_SERVICO", nullable = false)
	private CadServico servico;

	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public CadProcuracao getProcuracao() {
		if(procuracao == null){
			procuracao = new CadProcuracao();
		}
		return procuracao;
	}

	public void setProcuracao(CadProcuracao procuracao) {
		this.procuracao = procuracao;
	}

	public CadSolicitacao getSolicitacao() {
		if(solicitacao == null){
			solicitacao = new CadSolicitacao();
		}
		return solicitacao;
	}

	public void setSolicitacao(CadSolicitacao solicitacao) {
		this.solicitacao = solicitacao;
	}

	public CadArea getArea() {
		if(area == null){
			area = new CadArea();
		}
		return area;
	}

	public void setArea(CadArea area) {
		this.area = area;
	}

	public CadServico getServico() {
		if(servico == null){
			servico = new CadServico();
		}
		return servico;
	}

	public void setServico(CadServico servico) {
		this.servico = servico;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((area == null) ? 0 : area.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((procuracao == null) ? 0 : procuracao.hashCode());
		result = prime * result + ((servico == null) ? 0 : servico.hashCode());
		result = prime * result + ((solicitacao == null) ? 0 : solicitacao.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		CadProcuracaoSolicitacao other = (CadProcuracaoSolicitacao) obj;
		if (area == null) {
			if (other.area != null)
				return false;
		} else if (!area.equals(other.area))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (procuracao == null) {
			if (other.procuracao != null)
				return false;
		} else if (!procuracao.equals(other.procuracao))
			return false;
		if (servico == null) {
			if (other.servico != null)
				return false;
		} else if (!servico.equals(other.servico))
			return false;
		if (solicitacao == null) {
			if (other.solicitacao != null)
				return false;
		} else if (!solicitacao.equals(other.solicitacao))
			return false;
		return true;
	}
	
}