package br.gov.mc.cadsei.entidade;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name = "CAD_SEI_INTEGRACAO", catalog = "CADSEI")
public class CadSeiIntegracao extends Entidade<Integer> {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "ID_SEI_INTEGRACAO", unique = true, nullable = false)
    private Integer	   id;

    @OneToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "ID_AREA", nullable = false)
    private CadArea	   area;

    @OneToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "ID_SERVICO", nullable = false)
    private CadServico	servico;

    @OneToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "ID_SOLICITACAO", nullable = false)
    private CadSolicitacao    solicitacao;

    @Column(name = "ID_TIPO_PROCEDIMENTO", nullable = false)
    private String	    idTipoProcedimento;

    @Column(name = "NUM_ASSUNTO")
    private String	    numAssunto;

    @Column(name = "NUM_NIVEL_ACESSO")
    private String	    numNivelAcesso;

    @Column(name = "ID_UNIDADE", nullable = false)
    private String	    idUnidade;

    @Override
    public Integer getId() {
	return id;
    }

    @Override
    public void setId(Integer id) {
	this.id = id;
    }

    public CadArea getArea() {
	if (area == null) {
	    area = new CadArea();
	}
	return area;
    }

    public void setArea(CadArea area) {
	this.area = area;
    }

    public CadServico getServico() {
	if (servico == null) {
	    servico = new CadServico();
	}
	return servico;
    }

    public void setServico(CadServico servico) {
	this.servico = servico;
    }

    public CadSolicitacao getSolicitacao() {
	if (solicitacao == null) {
	    solicitacao = new CadSolicitacao();
	}
	return solicitacao;
    }

    public void setSolicitacao(CadSolicitacao solicitacao) {
	this.solicitacao = solicitacao;
    }

    public String getIdTipoProcedimento() {
	return idTipoProcedimento;
    }

    public void setIdTipoProcedimento(String idTipoProcedimento) {
	this.idTipoProcedimento = idTipoProcedimento;
    }

    public String getNumAssunto() {
	return numAssunto;
    }

    public void setNumAssunto(String numAssunto) {
	this.numAssunto = numAssunto;
    }

    public String getNumNivelAcesso() {
	return numNivelAcesso;
    }

    public void setNumNivelAcesso(String numNivelAcesso) {
	this.numNivelAcesso = numNivelAcesso;
    }

    public String getIdUnidade() {
	return idUnidade;
    }

    public void setIdUnidade(String idUnidade) {
	this.idUnidade = idUnidade;
    }

    @Override
    public int hashCode() {
	final int prime = 31;
	int result = 1;
	result = prime * result + ((area == null) ? 0 : area.hashCode());
	result = prime * result + ((id == null) ? 0 : id.hashCode());
	result = prime * result + ((idTipoProcedimento == null) ? 0 : idTipoProcedimento.hashCode());
	result = prime * result + ((idUnidade == null) ? 0 : idUnidade.hashCode());
	result = prime * result + ((numAssunto == null) ? 0 : numAssunto.hashCode());
	result = prime * result + ((numNivelAcesso == null) ? 0 : numNivelAcesso.hashCode());
	result = prime * result + ((servico == null) ? 0 : servico.hashCode());
	result = prime * result + ((solicitacao == null) ? 0 : solicitacao.hashCode());
	return result;
    }

    @Override
    public boolean equals(Object obj) {
	if (this == obj)
	    return true;
	if (obj == null)
	    return false;
	if (getClass() != obj.getClass())
	    return false;
	CadSeiIntegracao other = (CadSeiIntegracao) obj;
	if (area == null) {
	    if (other.area != null)
		return false;
	} else if (!area.equals(other.area))
	    return false;
	if (id == null) {
	    if (other.id != null)
		return false;
	} else if (!id.equals(other.id))
	    return false;
	if (idTipoProcedimento == null) {
	    if (other.idTipoProcedimento != null)
		return false;
	} else if (!idTipoProcedimento.equals(other.idTipoProcedimento))
	    return false;
	if (idUnidade == null) {
	    if (other.idUnidade != null)
		return false;
	} else if (!idUnidade.equals(other.idUnidade))
	    return false;
	if (numAssunto == null) {
	    if (other.numAssunto != null)
		return false;
	} else if (!numAssunto.equals(other.numAssunto))
	    return false;
	if (numNivelAcesso == null) {
	    if (other.numNivelAcesso != null)
		return false;
	} else if (!numNivelAcesso.equals(other.numNivelAcesso))
	    return false;
	if (servico == null) {
	    if (other.servico != null)
		return false;
	} else if (!servico.equals(other.servico))
	    return false;
	if (solicitacao == null) {
	    if (other.solicitacao != null)
		return false;
	} else if (!solicitacao.equals(other.solicitacao))
	    return false;
	return true;
    }

}