package br.gov.mc.cadsei.entidade;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import org.hibernate.annotations.Cascade;
import org.hibernate.annotations.CascadeType;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name = "CAD_SERVICO",  catalog = "CADSEI")
public class CadServico extends Entidade<Integer> {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_SERVICO", unique = true, nullable = false)
	private Integer id;

	@Column(name = "DSC_SERVICO", nullable = false)
	private String dscServico;

	@Cascade({ CascadeType.SAVE_UPDATE, CascadeType.DELETE, CascadeType.DELETE_ORPHAN })
	@OneToMany(fetch = FetchType.LAZY, mappedBy = "servico")
	private List<CadProcuracaoSolicitacao> procuracaoSolicitacao;

	public CadServico() {

	}

	public CadServico(Integer id) {
		this.id = id;
	}

	@Override
	public Integer getId() {
		return id;
	}

	@Override
	public void setId(Integer id) {
		this.id = id;
	}

	public String getDscServico() {
		return dscServico;
	}

	public void setDscServico(String dscServico) {
		this.dscServico = dscServico;
	}

	public List<CadProcuracaoSolicitacao> getProcuracaoSolicitacao() {
		if (procuracaoSolicitacao == null) {
			procuracaoSolicitacao = new ArrayList<CadProcuracaoSolicitacao>();
		}
		return procuracaoSolicitacao;
	}

	public void setProcuracaoSolicitacao(List<CadProcuracaoSolicitacao> procuracaoSolicitacao) {
		this.procuracaoSolicitacao = procuracaoSolicitacao;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((dscServico == null) ? 0 : dscServico.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		CadServico other = (CadServico) obj;
		if (dscServico == null) {
			if (other.dscServico != null)
				return false;
		} else if (!dscServico.equals(other.dscServico))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}

	
}