package br.gov.mc.cadsei.entidade;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name = "CAD_SERVICO_PROCURACAO", catalog = "CADSEI")
public class CadServicoProcuracao extends Entidade<Integer> {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_SERVICO_PROCURACAO", unique = true, nullable = false)
	private Integer id;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_TIPO_SERVICO", nullable = false)
	private CadTipoServicoD tipoServico;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_PROCURACAO", nullable = true)
	private CadProcuracao procuracao;

	@Column(name = "DSC_TIPO_SERVICO_OUTRO", nullable = false)
	private String dscTipoServicoOutro;

	@Override
	public Integer getId() {
		return id;
	}

	@Override
	public void setId(Integer id) {
		this.id = id;
	}

	public CadTipoServicoD getTipoServico() {
		if (tipoServico == null) {
			tipoServico = new CadTipoServicoD();
		}
		return tipoServico;
	}

	public void setTipoServico(CadTipoServicoD tipoServico) {
		this.tipoServico = tipoServico;
	}

	public CadProcuracao getProcuracao() {
		if (procuracao == null) {
			procuracao = new CadProcuracao();
		}
		return procuracao;
	}

	public void setProcuracao(CadProcuracao procuracao) {
		this.procuracao = procuracao;
	}

	public String getDscTipoServicoOutro() {
		return dscTipoServicoOutro;
	}

	public void setDscTipoServicoOutro(String dscTipoServicoOutro) {
		this.dscTipoServicoOutro = dscTipoServicoOutro;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((dscTipoServicoOutro == null) ? 0 : dscTipoServicoOutro.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((procuracao == null) ? 0 : procuracao.hashCode());
		result = prime * result + ((tipoServico == null) ? 0 : tipoServico.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		CadServicoProcuracao other = (CadServicoProcuracao) obj;
		if (dscTipoServicoOutro == null) {
			if (other.dscTipoServicoOutro != null)
				return false;
		} else if (!dscTipoServicoOutro.equals(other.dscTipoServicoOutro))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (procuracao == null) {
			if (other.procuracao != null)
				return false;
		} else if (!procuracao.equals(other.procuracao))
			return false;
		if (tipoServico == null) {
			if (other.tipoServico != null)
				return false;
		} else if (!tipoServico.equals(other.tipoServico))
			return false;
		return true;
	}
	
}