package br.gov.mc.cadsei.entidade;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name="CAD_SITUACAO_CADASTRO_D", catalog="CADSEI" )
public class CadSituacaoCadastroD extends Entidade<Integer> {
	
	private static final long serialVersionUID = 1L;

	public static final Integer AGUARDANDO_ANALISE = new Integer(1);
	public static final Integer EM_ANALISE = new Integer(2);
	public static final Integer APROVADO = new Integer(3);
	public static final Integer REPROVADO = new Integer(4);
	public static final Integer NECESSITA_RATIFICACAO = new Integer(5);
	
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_SITUACAO_CADASTRO", unique = true, nullable = false)
	private Integer id;
	
	@Column(name = "DSC_SITUACAO_CADASTRO", nullable = false)
	private String descricao;
	
	public CadSituacaoCadastroD(){}
	
	public CadSituacaoCadastroD(Integer id){
		this.id = id;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((descricao == null) ? 0 : descricao.hashCode());
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		CadSituacaoCadastroD other = (CadSituacaoCadastroD) obj;
		if (descricao == null) {
			if (other.descricao != null)
				return false;
		} else if (!descricao.equals(other.descricao))
			return false;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	
}