package br.gov.mc.cadsei.entidade;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name = "CAD_SOLICITACAO", catalog = "CADSEI")
public class CadSolicitacao extends Entidade<Integer> {
	
	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_SOLICITACAO", unique = true, nullable = false)
	private Integer id;

	@Column(name = "DSC_SOLICITACAO", nullable = false)
	private String dscSolicitacao;
	
	@Override
	public Integer getId() {
		return id;
	}

	@Override
	public void setId(Integer id) {
		this.id = id;
	}

	public String getDscSolicitacao() {
		return dscSolicitacao;
	}

	public void setDscSolicitacao(String dscSolicitacao) {
		this.dscSolicitacao = dscSolicitacao;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result
				+ ((dscSolicitacao == null) ? 0 : dscSolicitacao.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		CadSolicitacao other = (CadSolicitacao) obj;
		if (id == null) {
			if (other.id != null) {
				return false;
			}
		} else if (!id.equals(other.id)) {
			return false;
		}
		if (dscSolicitacao == null) {
			if (other.dscSolicitacao != null) {
				return false;
			}
		} else if (!dscSolicitacao.equals(other.dscSolicitacao)) {
			return false;
		}
		return true;
	}

}