package br.gov.mc.cadsei.entidade;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name="CAD_STATUS_PROCURACAO_D", catalog="CADSEI" )
public class CadStatusProcuracaoD extends Entidade<Integer> {
	
	private static final long serialVersionUID = 1L;

	public static final Integer ATIVA = new Integer(1);
	public static final Integer RENUNCIADA = new Integer(2);
	public static final Integer REVOGADA = new Integer(3);
	public static final Integer VENCIDA = new Integer(4);
	public static final Integer INVALIDA = new Integer(5);
	public static final Integer CANCELADA = new Integer(6);
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_STATUS_PROCURACAO", unique = true, nullable = false)
	private Integer id;
	
	@Column(name = "DSC_STATUS_PROCURACAO", nullable = false)
	private String descricao;
	
	public CadStatusProcuracaoD(){}
	
	public CadStatusProcuracaoD(Integer id){
		this.id = id;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		CadStatusProcuracaoD other = (CadStatusProcuracaoD) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	
}