package br.gov.mc.cadsei.entidade;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name="CAD_TIPO_DOCUMENTO_D", catalog="CADSEI" )
public class CadTipoDocumentoD extends Entidade<Integer> {
	
	private static final long serialVersionUID = 1L;

	// Proponente
	public static final Integer RG = new Integer(1);
	public static final Integer CPF = new Integer(2);
	public static final Integer RESIDENCIA = new Integer(3);
	public static final Integer REGISTRO_OAB = new Integer(7);
	public static final Integer DECLARACAO_VERACIDADE = new Integer(8);
	
	// Empresa
	public static final Integer ATOS_CONSTITUTIVOS = new Integer(4);
	public static final Integer CNPJ = new Integer(5);
	public static final Integer REPRESENTANTE_LEGAL = new Integer(6);
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_TIPO_DOCUMENTO", unique = true, nullable = false)
	private Integer id;
	
	@Column(name = "DSC_TIPO_DOCUMENTO", nullable = false)
	private String descricao;
	
	public CadTipoDocumentoD(){}
	
	public CadTipoDocumentoD(Integer id){
		this.id = id;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

}