package br.gov.mc.cadsei.entidade;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name="CAD_TIPO_SERVICO_D", catalog="CADSEI" )
public class CadTipoServicoD extends Entidade<Integer> {
	
	private static final long serialVersionUID = 1L;

	public static final Integer FREQUENCIA_ONDULADA = new Integer(1);
	public static final Integer ONDAS_CURTAS = new Integer(2);
	public static final Integer SONS_IMAGENS = new Integer(3);
	public static final Integer CANAL_CIDADANIA = new Integer(4);
	public static final Integer ONDAS_MEDIAS = new Integer(5);
	public static final Integer ONDAS_TROPICAIS = new Integer(6);
	public static final Integer RETRANSMISSAO_TELEVISAO = new Integer(7);
	public static final Integer RADIODIFUSAO_EDUCATIVA = new Integer(8);
	public static final Integer RADIODIFUSAO_COMUNITARIA = new Integer(9);
	public static final Integer OUTROS = new Integer(10);
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_TIPO_SERVICO", unique = true, nullable = false)
	private Integer id;
	
	@Column(name = "DSC_TIPO_SERVICO", nullable = false)
	private String descricao;
	
	public CadTipoServicoD(){}
	
	public CadTipoServicoD(Integer id){
		this.id = id;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		CadTipoServicoD other = (CadTipoServicoD) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	
}