package br.gov.mc.cadsei.entidade.dto;

import java.util.List;

import br.gov.mc.cadsei.entidade.CadDocumento;
import br.gov.mc.cadsei.entidade.CadEmpresa;
import br.gov.mc.cadsei.entidade.CadServico;
import br.gov.mc.corporativo.entidade.CrpContatoEmail;
import br.gov.mc.corporativo.entidade.CrpContatoTelefone;
import br.gov.mc.corporativo.entidade.CrpDocumentoPessoaFisica;
import br.gov.mc.corporativo.entidade.CrpEndereco;
import br.gov.mc.corporativo.entidade.CrpRepresentantePesJur;

public class  AnaliseCadastroPessoaJuridicaDto {
	
	private CrpRepresentantePesJur representante;
	private CrpRepresentantePesJur representanteEmpresa;
	
	private CrpDocumentoPessoaFisica cpf;
	private CrpDocumentoPessoaFisica rg;
	private CrpContatoTelefone telefone;
	private CrpContatoTelefone celular;
	private CrpEndereco endereco;
	
	private CadDocumento documento;
	private CadDocumento documentoOab;
	private CadDocumento documentoRg;
	private CadDocumento documentoCpf;
	private CadDocumento documentoResidencia;
	private CadDocumento documentoDeclaracao;
	private CadDocumento documentoAtosConstitutivos;
	private CadDocumento documentoCnpj;
	private CadDocumento documentoRepresentanteLegal;
	
	private CadEmpresa empresa;
	private CrpEndereco enderecoEmpresa;
	private CrpDocumentoPessoaFisica cpfRepresentanteEmpresa;
	private CrpDocumentoPessoaFisica rgRepresentanteEmpresa;
	private CrpContatoTelefone telefoneEmpresa;
	private CrpContatoEmail emailEmpresa;
	private CrpContatoEmail emailPessoaFisica;
	
	private String descricaoAnaliseTecnicaEmpresa;
	private String descricaoAnaliseTecnicaProponente;
	
	private List<CadServico> servicos;

	public CrpRepresentantePesJur getRepresentante() {
		return representante;
	}

	public void setRepresentante(CrpRepresentantePesJur representante) {
		this.representante = representante;
	}

	public CrpDocumentoPessoaFisica getCpf() {
		return cpf;
	}

	public void setCpf(CrpDocumentoPessoaFisica cpf) {
		this.cpf = cpf;
	}

	public CrpDocumentoPessoaFisica getRg() {
		return rg;
	}

	public void setRg(CrpDocumentoPessoaFisica rg) {
		this.rg = rg;
	}

	public CrpContatoTelefone getTelefone() {
		return telefone;
	}

	public void setTelefone(CrpContatoTelefone telefone) {
		this.telefone = telefone;
	}

	public CrpContatoTelefone getCelular() {
		return celular;
	}

	public void setCelular(CrpContatoTelefone celular) {
		this.celular = celular;
	}

	public CrpEndereco getEndereco() {
		return endereco;
	}

	public void setEndereco(CrpEndereco endereco) {
		this.endereco = endereco;
	}

	public CadDocumento getDocumento() {
		return documento;
	}

	public void setDocumento(CadDocumento documento) {
		this.documento = documento;
	}

	public CadDocumento getDocumentoOab() {
		return documentoOab;
	}

	public void setDocumentoOab(CadDocumento documentoOab) {
		this.documentoOab = documentoOab;
	}

	public CadDocumento getDocumentoRg() {
		return documentoRg;
	}

	public void setDocumentoRg(CadDocumento documentoRg) {
		this.documentoRg = documentoRg;
	}

	public CadDocumento getDocumentoCpf() {
		return documentoCpf;
	}

	public void setDocumentoCpf(CadDocumento documentoCpf) {
		this.documentoCpf = documentoCpf;
	}

	public CadDocumento getDocumentoResidencia() {
		return documentoResidencia;
	}

	public void setDocumentoResidencia(CadDocumento documentoResidencia) {
		this.documentoResidencia = documentoResidencia;
	}

	public CadDocumento getDocumentoDeclaracao() {
		return documentoDeclaracao;
	}

	public void setDocumentoDeclaracao(CadDocumento documentoDeclaracao) {
		this.documentoDeclaracao = documentoDeclaracao;
	}

	public CadDocumento getDocumentoAtosConstitutivos() {
		return documentoAtosConstitutivos;
	}

	public void setDocumentoAtosConstitutivos(
			CadDocumento documentoAtosConstitutivos) {
		this.documentoAtosConstitutivos = documentoAtosConstitutivos;
	}

	public CadDocumento getDocumentoCnpj() {
		return documentoCnpj;
	}

	public void setDocumentoCnpj(CadDocumento documentoCnpj) {
		this.documentoCnpj = documentoCnpj;
	}

	public CadDocumento getDocumentoRepresentanteLegal() {
		return documentoRepresentanteLegal;
	}

	public void setDocumentoRepresentanteLegal(
			CadDocumento documentoRepresentanteLegal) {
		this.documentoRepresentanteLegal = documentoRepresentanteLegal;
	}

	public CadEmpresa getEmpresa() {
		return empresa;
	}

	public void setEmpresa(CadEmpresa empresa) {
		this.empresa = empresa;
	}

	public CrpEndereco getEnderecoEmpresa() {
		return enderecoEmpresa;
	}

	public void setEnderecoEmpresa(CrpEndereco enderecoEmpresa) {
		this.enderecoEmpresa = enderecoEmpresa;
	}

	public CrpDocumentoPessoaFisica getCpfRepresentanteEmpresa() {
		return cpfRepresentanteEmpresa;
	}

	public void setCpfRepresentanteEmpresa(
			CrpDocumentoPessoaFisica cpfRepresentanteEmpresa) {
		this.cpfRepresentanteEmpresa = cpfRepresentanteEmpresa;
	}

	public CrpDocumentoPessoaFisica getRgRepresentanteEmpresa() {
		return rgRepresentanteEmpresa;
	}

	public void setRgRepresentanteEmpresa(
			CrpDocumentoPessoaFisica rgRepresentanteEmpresa) {
		this.rgRepresentanteEmpresa = rgRepresentanteEmpresa;
	}

	public CrpContatoTelefone getTelefoneEmpresa() {
		return telefoneEmpresa;
	}

	public void setTelefoneEmpresa(CrpContatoTelefone telefoneEmpresa) {
		this.telefoneEmpresa = telefoneEmpresa;
	}

	public CrpContatoEmail getEmailEmpresa() {
		return emailEmpresa;
	}

	public void setEmailEmpresa(CrpContatoEmail emailEmpresa) {
		this.emailEmpresa = emailEmpresa;
	}

	public String getDescricaoAnaliseTecnicaEmpresa() {
		return descricaoAnaliseTecnicaEmpresa;
	}

	public void setDescricaoAnaliseTecnicaEmpresa(
			String descricaoAnaliseTecnicaEmpresa) {
		this.descricaoAnaliseTecnicaEmpresa = descricaoAnaliseTecnicaEmpresa;
	}

	public String getDescricaoAnaliseTecnicaProponente() {
		return descricaoAnaliseTecnicaProponente;
	}

	public void setDescricaoAnaliseTecnicaProponente(
			String descricaoAnaliseTecnicaProponente) {
		this.descricaoAnaliseTecnicaProponente = descricaoAnaliseTecnicaProponente;
	}

	public List<CadServico> getServicos() {
		return servicos;
	}

	public void setServicos(List<CadServico> servicos) {
		this.servicos = servicos;
	}

	public CrpContatoEmail getEmailPessoaFisica() {
		return emailPessoaFisica;
	}

	public void setEmailPessoaFisica(CrpContatoEmail emailPessoaFisica) {
		this.emailPessoaFisica = emailPessoaFisica;
	}

	public CrpRepresentantePesJur getRepresentanteEmpresa() {
		return representanteEmpresa;
	}

	public void setRepresentanteEmpresa(CrpRepresentantePesJur representanteEmpresa) {
		this.representanteEmpresa = representanteEmpresa;
	}



}

