package br.gov.mc.cadsei.entidade.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import br.gov.arquitetura.util.StringUtil;

public class CprdProtocoloDto implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer id;
	private BigDecimal numeroProtocolo;
	private Integer idTipoProtocolo;
	private String nomTipoProtocolo;
	private Date dataAbertura;
	private String numeroDocumento;
	private String especieDocumento;
	private Date dataDocumento;
	private String assunto;
	private boolean dadoSei;
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public BigDecimal getNumeroProtocolo() {
		return numeroProtocolo;
	}

	public void setNumeroProtocolo(BigDecimal numeroProtocolo) {
		this.numeroProtocolo = numeroProtocolo;
	}
	
	public String getNomTipoProtocolo() {
		return nomTipoProtocolo;
	}

	public void setNomTipoProtocolo(String nomTipoProtocolo) {
		this.nomTipoProtocolo = nomTipoProtocolo;
	}

	public Date getDataAbertura() {
		return dataAbertura;
	}

	public void setDataAbertura(Date dataAbertura) {
		this.dataAbertura = dataAbertura;
	}

	public String getNumeroDocumento() {
		return numeroDocumento;
	}

	public void setNumeroDocumento(String numeroDocumento) {
		this.numeroDocumento = numeroDocumento;
	}

	public String getEspecieDocumento() {
		return especieDocumento;
	}

	public void setEspecieDocumento(String especieDocumento) {
		this.especieDocumento = especieDocumento;
	}

	public Date getDataDocumento() {
		return dataDocumento;
	}

	public void setDataDocumento(Date dataDocumento) {
		this.dataDocumento = dataDocumento;
	}

	public String getAssunto() {
		return assunto;
	}

	public void setAssunto(String assunto) {
		this.assunto = assunto;
	}

	public String getNumeroProtocoloFormatado() {
		if (this.numeroProtocolo != null) {
			return StringUtil.format("#####.######/####-##",
					this.numeroProtocolo.toString());
		}
		return null;
	}

	public Integer getIdTipoProtocolo() {
		return idTipoProtocolo;
	}

	public void setIdTipoProtocolo(Integer idTipoProtocolo) {
		this.idTipoProtocolo = idTipoProtocolo;
	}

	public boolean isDadoSei() {
		return dadoSei;
	}

	public void setDadoSei(boolean dadoSei) {
		this.dadoSei = dadoSei;
	}
}