package br.gov.mc.cadsei.entidade.dto;

import java.io.Serializable;

import br.gov.mc.cadsei.util.CpfCnpjUtil;

public class FiltroEmailDTO implements Serializable{

	private static final long serialVersionUID = 1L;

	private String nomeFiltroPesquisa;
	private String razaoSocialFiltroPesquisa;
	private String cpfFiltroPesquisa;
	private String cnpjFiltroPesquisa;
	
	
	private String cpf;
	private String cnpj;
	private String nome;
	private String razaoSocial;
	private String emailPF;
	private String emailPJ;
	private String emailPJ1;
	private String emailPJ2;
	private String emailPJ3;
	private String emailPJ4;
	private String tipoConsulta;
	private boolean isListaPessoaFisica;
	
	public FiltroEmailDTO(){
		
	}

	public String getCpfSemMascara() {
		if (getCpfFiltroPesquisa() != null) {
			return getCpfFiltroPesquisa().replaceAll("\\D", "").trim();
		} else {
			return null;
		}
	}

	public String getCnpjSemMascara() {
		if (getCnpjFiltroPesquisa() != null) {
			return getCnpjFiltroPesquisa().replaceAll("\\D", "");
		} else {
			return "";
		}
	}
	
	public String getCPFFormated(){
		return CpfCnpjUtil.FormatCPF(getCpf());
	}
	
	public String getCNPJFormated(){
		return CpfCnpjUtil.FormatCNPJ(getCnpj());
	}

	public String getNomeFiltroPesquisa() {
		return nomeFiltroPesquisa;
	}

	public void setNomeFiltroPesquisa(String nomeFiltroPesquisa) {
		this.nomeFiltroPesquisa = nomeFiltroPesquisa;
	}

	public String getRazaoSocialFiltroPesquisa() {
		return razaoSocialFiltroPesquisa;
	}

	public void setRazaoSocialFiltroPesquisa(String razaoSocialFiltroPesquisa) {
		this.razaoSocialFiltroPesquisa = razaoSocialFiltroPesquisa;
	}

	public String getCpfFiltroPesquisa() {
		return cpfFiltroPesquisa;
	}

	public void setCpfFiltroPesquisa(String cpfFiltroPesquisa) {
		this.cpfFiltroPesquisa = cpfFiltroPesquisa;
	}

	public String getCnpjFiltroPesquisa() {
		return cnpjFiltroPesquisa;
	}

	public void setCnpjFiltroPesquisa(String cnpjFiltroPesquisa) {
		this.cnpjFiltroPesquisa = cnpjFiltroPesquisa;
	}

	public String getCpf() {
		return cpf;
	}

	public void setCpf(String cpf) {
		this.cpf = cpf;
	}

	public String getCnpj() {
		return cnpj;
	}

	public void setCnpj(String cnpj) {
		this.cnpj = cnpj;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getRazaoSocial() {
		return razaoSocial;
	}

	public void setRazaoSocial(String razaoSocial) {
		this.razaoSocial = razaoSocial;
	}

	public String getEmailPF() {
		return emailPF;
	}

	public void setEmailPF(String emailPF) {
		this.emailPF = emailPF;
	}

	public String getEmailPJ() {
		return emailPJ;
	}

	public void setEmailPJ(String emailPJ) {
		this.emailPJ = emailPJ;
	}

	public String getEmailPJ1() {
		return emailPJ1;
	}

	public void setEmailPJ1(String emailPJ1) {
		this.emailPJ1 = emailPJ1;
	}

	public String getEmailPJ2() {
		return emailPJ2;
	}

	public void setEmailPJ2(String emailPJ2) {
		this.emailPJ2 = emailPJ2;
	}

	public String getEmailPJ3() {
		return emailPJ3;
	}

	public void setEmailPJ3(String emailPJ3) {
		this.emailPJ3 = emailPJ3;
	}

	public String getEmailPJ4() {
		return emailPJ4;
	}

	public void setEmailPJ4(String emailPJ4) {
		this.emailPJ4 = emailPJ4;
	}

	public String getTipoConsulta() {
		return tipoConsulta;
	}

	public void setTipoConsulta(String tipoConsulta) {
		this.tipoConsulta = tipoConsulta;
	}

	public boolean isListaPessoaFisica() {
		return tipoConsulta!=null && tipoConsulta.equals("pessoaFisica");
	}

	public void setListaPessoaFisica(boolean isListaPessoaFisica) {
		this.isListaPessoaFisica = isListaPessoaFisica;
	}


}

