package br.gov.mc.cadsei.entidade.dto;

import br.gov.mc.cadsei.entidade.CadServico;
import br.gov.mc.cadsei.entidade.CadSituacaoCadastroD;
import br.gov.mc.corporativo.entidade.CrpUf;

public class FiltroPesquisaProponenteDto {

	private String nome;
	private String cnpj;
	private String cpf;
	private CrpUf uf;
	private String razaoSocial;
	private String tipoConsulta;
	private CadServico servico;
	private CadSituacaoCadastroD situacao;

	private boolean isListaProponente;

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public void setCpf(String cpf) {
		this.cpf = cpf;
	}

	public String getRazaoSocial() {
		return razaoSocial;
	}

	public void setRazaoSocial(String razaoSocial) {
		this.razaoSocial = razaoSocial;
	}

	public String getTipoConsulta() {
		return tipoConsulta;
	}

	public void setTipoConsulta(String tipoConsulta) {
		this.tipoConsulta = tipoConsulta;
	}

	public CadSituacaoCadastroD getSituacao() {
		return situacao;
	}

	public void setSituacao(CadSituacaoCadastroD situacao) {
		this.situacao = situacao;
	}

	public CrpUf getUf() {
		return uf;
	}

	public void setUf(CrpUf uf) {
		this.uf = uf;
	}

	public String getCnpj() {
		return cnpj;
	}

	public void setCnpj(String cnpj) {
		this.cnpj = cnpj;
	}

	public String getCpf() {
		return cpf;
	}

	public String getCpfSemMascara() {
		if (getCpf() != null) {
			return getCpf().replaceAll("\\D", "").trim();
		} else {
			return null;
		}
	}

	public String getCnpjSemMascara() {
		if (getCnpj() != null) {
			return getCnpj().replaceAll("\\D", "");
		} else {
			return "";
		}
	}

	public CadServico getServico() {
		return servico;
	}

	public void setServico(CadServico servico) {
		this.servico = servico;
	}

	public boolean isListaProponente() {
		return tipoConsulta!=null && tipoConsulta.equals("pessoaFisica");
	}

	public void setListaProponente(boolean isListaProponente) {
		this.isListaProponente = isListaProponente;
	}

}