package br.gov.mc.cadsei.entidade.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class QuantitativoDto implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer quantidadeProponente;
	private Integer quantidadeEmpresa;
	private List<QuantitativoUfDto> proponentesUf;
	private Integer quantidadeAguardandoAnalise;
	private Integer quantidadeEmAnalise;
	private Integer quantidadeAprovado;
	private Integer quantidadeReprovado;

	public Integer getQuantidadeProponente() {
		if(this.quantidadeProponente == null){
			this.quantidadeProponente = new Integer(0);
		}
		return this.quantidadeProponente;
	}

	public void setQuantidadeProponente(Integer quantidadeProponente) {
		this.quantidadeProponente = quantidadeProponente;
	}

	public Integer getQuantidadeEmpresa() {
		if(this.quantidadeEmpresa == null){
			this.quantidadeEmpresa = new Integer(0);
		}
		return this.quantidadeEmpresa;
	}

	public void setQuantidadeEmpresa(Integer quantidadeEmpresa) {
		this.quantidadeEmpresa = quantidadeEmpresa;
	}

	public List<QuantitativoUfDto> getProponentesUf() {
		if(this.proponentesUf == null){
			this.proponentesUf = new ArrayList<QuantitativoUfDto>();
		}
		return this.proponentesUf;
	}

	public void setProponentesUf(List<QuantitativoUfDto> proponentesUf) {
		this.proponentesUf = proponentesUf;
	}

	public Integer getQuantidadeAguardandoAnalise() {
		return quantidadeAguardandoAnalise;
	}

	public void setQuantidadeAguardandoAnalise(
			Integer quantidadeAguardandoAnalise) {
		this.quantidadeAguardandoAnalise = quantidadeAguardandoAnalise;
	}

	public Integer getQuantidadeEmAnalise() {
		return quantidadeEmAnalise;
	}

	public void setQuantidadeEmAnalise(Integer quantidadeEmAnalise) {
		this.quantidadeEmAnalise = quantidadeEmAnalise;
	}

	public Integer getQuantidadeAprovado() {
		return quantidadeAprovado;
	}

	public void setQuantidadeAprovado(Integer quantidadeAprovado) {
		this.quantidadeAprovado = quantidadeAprovado;
	}

	public Integer getQuantidadeReprovado() {
		return quantidadeReprovado;
	}

	public void setQuantidadeReprovado(Integer quantidadeReprovado) {
		this.quantidadeReprovado = quantidadeReprovado;
	}
	
	public Integer getQuantidadeGeralCadastros(){
		return this.getQuantidadeProponente() + this.getQuantidadeEmpresa();
	}

	public void addQuantitativoUf(QuantitativoUfDto quantitativoUf){
		this.getProponentesUf().add(quantitativoUf);
	}
	
}