package br.gov.mc.cadsei.entidade.dto;

import java.io.Serializable;

import br.gov.arquitetura.util.StringUtil;
import br.gov.mc.cadsei.entidade.CadProcuracao;

public class ResultadoOutorgadoDto implements Serializable {

	private static final long serialVersionUID = 1L;

	private CadProcuracao procuracao;
	private Integer IdProcuracao;
	private String numeroOutorgado;
	private String nomeOutorgado;
	private String numeroOutorgante;
	private String nomeOutorgante;
	private String numeroSubstabelecedor;
	private String nomeSubstabelecedor;

	public CadProcuracao getProcuracao() {
		return procuracao;
	}

	public void setProcuracao(CadProcuracao procuracao) {
		this.procuracao = procuracao;
	}

	public Integer getIdProcuracao() {
		return IdProcuracao;
	}

	public void setIdProcuracao(Integer idProcuracao) {
		IdProcuracao = idProcuracao;
	}

	public String getNumeroOutorgado() {
		return numeroOutorgado;
	}
	
	public String getNumeroOutorgadoFormatado() {
		if(numeroOutorgado != null){
			if(numeroOutorgado.length() == 11){
				return StringUtil.format("###.###.###-##", numeroOutorgado);
			} else {
				return StringUtil.format("##.###.###/####-##", numeroOutorgado);
			}
		}
		return numeroOutorgado;
	}

	public void setNumeroOutorgado(String numeroOutorgado) {
		this.numeroOutorgado = numeroOutorgado;
	}

	public String getNomeOutorgado() {
		return nomeOutorgado;
	}

	public void setNomeOutorgado(String nomeOutorgado) {
		this.nomeOutorgado = nomeOutorgado;
	}

	public String getNumeroOutorganteFormatado() {
		if(numeroOutorgante != null){
			if(numeroOutorgante.length() == 11){
				return StringUtil.format("###.###.###-##", numeroOutorgante);
			} else {
				return StringUtil.format("##.###.###/####-##", numeroOutorgante);
			}
		}
		return numeroOutorgante;
	}
	
	public String getNumeroOutorgante() {
		return numeroOutorgante;
	}

	public void setNumeroOutorgante(String numeroOutorgante) {
		this.numeroOutorgante = numeroOutorgante;
	}

	public String getNomeOutorgante() {
		return nomeOutorgante;
	}

	public void setNomeOutorgante(String nomeOutorgante) {
		this.nomeOutorgante = nomeOutorgante;
	}

	public String getNumeroSubstabelecedor() {
		return numeroSubstabelecedor;
	}

	public void setNumeroSubstabelecedor(String numeroSubstabelecedor) {
		this.numeroSubstabelecedor = numeroSubstabelecedor;
	}
	
	public String getNumeroSubstabelecedorFormatado() {
		if(numeroSubstabelecedor != null){
			if(numeroSubstabelecedor.length() == 11){
				return StringUtil.format("###.###.###-##", numeroSubstabelecedor);
			} else {
				return StringUtil.format("##.###.###/####-##", numeroSubstabelecedor);
			}
		}
		return numeroSubstabelecedor;
	}

	public String getNomeSubstabelecedor() {
		return nomeSubstabelecedor;
	}

	public void setNomeSubstabelecedor(String nomeSubstabelecedor) {
		this.nomeSubstabelecedor = nomeSubstabelecedor;
	}
	
	

}