package br.gov.mc.cadsei.service;

import java.util.List;
import java.util.Map;

import br.gov.mc.cadsei.entidade.CadDocumento;
import br.gov.mc.cadsei.entidade.CadEmpresa;
import br.gov.mc.cadsei.entidade.CadServico;
import br.gov.mc.corporativo.entidade.CrpRepresentantePesJur;

public interface EmpresaService {

    public List<String> buscaEmpresaPorRazaoSocial(String nome);

    public List<CadEmpresa> pesquisaParametrizada(int first, int pageSize, String sortField, boolean sortOrder, Map<String, String> filtros);
    
    public Long totalRow(Map<String, String> filtros);
    
    public List<CadDocumento> pesquisaDocumentosPorEmpresa(Integer id);
    
    public CrpRepresentantePesJur buscaRepresentantePorEmpresa(Integer id);
	
	public List<CadServico> buscaServicos();
	
	public CadServico buscaServicoPorId(Integer id);

	public CadEmpresa buscaEmpresaPorId(Integer id);
	
	public List<CadEmpresa> buscaEmpresaPorProponente(Integer id);

	public List<CadEmpresa> buscaEmpresaPorRepresentante(Integer id);

	public List<CadServico> buscaServicosPorEmpresa(Integer idEmpresa);

	public void validaCadastroEmpresa(String cpf) throws Exception;
	
	/**
	 *Este método retornará a lista de empresas por representante com base no CPF do proponente (login).
	 * */
	public List<CadEmpresa> listaEmpresaPorRepresentante(String cpf);

}
