package br.gov.mc.cadsei.service;

import java.util.List;

import br.gov.mc.cadsei.entidade.CadEmpresa;
import br.gov.mc.cadsei.entidade.CadProcuracao;
import br.gov.mc.cadsei.entidade.dto.ResultadoOutorgadoDto;
import br.gov.mc.corporativo.entidade.CrpContatoEmail;

public interface ProcuracaoService {

	public CadProcuracao save(CadProcuracao procuracao) throws Exception;
	
	public CadProcuracao merge(CadProcuracao procuracao) throws Exception;
	
	public void update(CadProcuracao procuracao) throws Exception;

	public CadProcuracao getByProcuracao(CadProcuracao procuracao);
	
	public CadProcuracao getByProcuracaoPai(CadProcuracao procuracao);

	public List<CadEmpresa> getEmpresaByProponente(Integer idProponenteLogado);
	
	public CadProcuracao findProcuracaoByOutorgadoCPF(String cpf, Integer idEmpresaOutorgante, Integer idProponenteOutorgante);
	
	public CadProcuracao findProcuracaoByOutorgadoCNPJ(String cnpj, Integer idEmpresaOutorgante, Integer idProponenteOutorgante);
	
	public Integer getNumeroSequencial(Integer idProponente, Integer idEmpresa);
	
	public CadEmpresa recuperarEmpresa(String cnpj);
	
	public List<ResultadoOutorgadoDto> findProcuracaoEnviadas(String cpf);
	
	public List<ResultadoOutorgadoDto> findProcuracaoRecebidas(String cpf, boolean ativo);
	
	public List<CadProcuracao> findAllProcuracaoAtivas();
	
	public void revogarProcuracao(CadProcuracao procuracao) throws Exception;
	
	public List<CrpContatoEmail> obtemEmailsPessoaTitularPorEmpresaOrtogado(Integer id);

}