package br.gov.mc.cadsei.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import br.gov.mc.cadsei.dao.EmailDao;
import br.gov.mc.cadsei.entidade.dto.FiltroEmailDTO;
import br.gov.mc.cadsei.service.EmailService;


@Service(value = "emailService")
@Transactional(readOnly = true, rollbackFor = Exception.class, propagation = Propagation.SUPPORTS)
public class EmailServiceImpl implements EmailService{
	
	@Autowired(required = true)
	@Qualifier(value = "emailDao")
	protected EmailDao dao;

	
	public List<FiltroEmailDTO> listaEmailPessoaFisica(int first, int pageSize, String sortField, boolean sortOrder, Map<String, String> filtros){
		return dao.buscaEmailPessoaFisica(first, pageSize, sortField, sortOrder, filtros);
	}

	
	public List<FiltroEmailDTO> listaEmailPessoaJuridica(int first, int pageSize, String sortField, boolean sortOrder, Map<String, String> filtros){
		return  dao.buscaEmailPessoaJuridica(first, pageSize, sortField, sortOrder, filtros);
	}

	
	public List<String> buscaPessoaFisicaPorNome(String nome) {
		return dao.buscaPessoaFisicaPorNome(nome);
	}

	
	public List<String> buscaPessoaJuridicasPorNome(String nome) {
		return dao.buscaPessoaJuridicasPorNome(nome);
	}

	public EmailDao getDao() {
		return dao;
	}

	public void setDao(EmailDao dao) {
		this.dao = dao;
	}


	
	public Long totalRegistrosPessoaFisica(Map<String, String> filtros) {
		return dao.totalRegistroPessoaFisica(filtros);
	}


	
	public Long totalRegistrosPessoaJuridica(Map<String, String> filtros) {
		return dao.totalRegistroPessoaJuridica(filtros);
	}

}
