package br.gov.mc.cadsei.util;

import java.util.List;

import org.springframework.web.util.HtmlUtils;

import br.gov.arquitetura.util.SpringUtil;
import br.gov.arquitetura.util.StringUtil;
import br.gov.mc.cadsei.entidade.CadEmpresa;
import br.gov.mc.cadsei.entidade.CadPeticao;
import br.gov.mc.cadsei.entidade.CadProcuracao;
import br.gov.mc.cadsei.entidade.CadProponente;
import br.gov.mc.corporativo.entidade.CrpContatoEmail;

public class EnvioMail {

	
        private static SimpleMail getInstance() {
		return (SimpleMail) SpringUtil.getBean("SimpleMail", "applicationContext-service.xml");
	}

	
	public static void sendEmail(CadProponente proponente, String descricao) throws Exception {

		StringBuilder text = new StringBuilder("");
		text.append("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
		text.append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">");
		text.append("<html xmlns=\"http://www.w3.org/1999/xhtml\">");
		text.append("<head>");
		text.append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />");
		text.append("<title>Protocolo Eletrnico</title>");
		text.append("</head>");

		text.append("<body>");
		text.append("<div class=\"conteudo\" style=\"width:881px; height:100%; margin:5px; padding:5px;\">");

		text.append("<div class=\"cabecalho\" style=\"background: #FFFFFF; height:35px;\">");
		//text.append("<img src=\"http://www.mc.gov.br/documentos/imagens/sistemas/barra.jpg\" style=\"width:881px;\" /> ");
		text.append("</div>");
		text.append("<div class=\"corpo\" style=\"font-family: 'Trebuchet MS', Arial, Helvetica, sans-serif; color:#004B80; font-size:12px; line-height: 1.3em; margin-left:20px; margin-top:10px;\" >");

		String login = StringUtil.format("###.###.###-##", proponente.getLoginProponente());
		text.append("Sr.(a) <b>" + HtmlUtils.htmlEscape(proponente.getPessoaProponente().getNome().toUpperCase()) + "</b> " + descricao + " <br/><br/>");
		text.append("Seu usu&aacute;rio &eacute; <b>" + login + "</b> e sua senha &eacute; a " + "<b>" + proponente.getSenha() + ".</b>");

		text.append("<br />");
		text.append("<br />");
		text.append("</div>");
		text.append("<div class=\"rodape\" style=\"background: #FFFFFF; height:120px\">");
		text.append("Atenciosamente,");
		text.append("<br/>");
		text.append("<br/>");
		text.append("Protocolo Eletr&ocirc;nico");
		text.append("</div>");
		text.append("</div> </body></html>");

		SimpleMail mail = getInstance();
		mail.setText(text.toString());
		mail.setSubject("[Protocolo Eletrnico] - Dados de Acesso ao Sistema.");
		text.toString();
		mail.addTO(proponente.getEmailProponente());
		mail.enviarEmail();
	}

	public static void sendEmailAprovacaoProponente(CadProponente proponente) throws Exception {

		StringBuilder text = new StringBuilder("");
		text.append("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
		text.append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">");
		text.append("<html xmlns=\"http://www.w3.org/1999/xhtml\">");
		text.append("<head>");
		text.append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />");
		text.append("<title>Protocolo Eletrnico</title>");
		text.append("</head>");

		text.append("<body>");
		text.append("<div class=\"conteudo\" style=\"width:881px; height:100%; margin:5px; padding:5px;\">");

		text.append("<div class=\"cabecalho\" style=\"background: #FFFFFF; height:35px;\">");
		//text.append("<img src=\"http://www.mc.gov.br/documentos/imagens/sistemas/barra.jpg\" style=\"width:881px;\" /> ");
		text.append("</div>");
		text.append("<div class=\"corpo\" style=\"font-family: 'Trebuchet MS', Arial, Helvetica, sans-serif; color:#004B80; font-size:12px; line-height: 1.3em; margin-left:20px; margin-top:10px;\" >");

		text.append("Prezado Sr.(a) <b>" + HtmlUtils.htmlEscape(proponente.getPessoaProponente().getNome().toUpperCase()) + "&#44; </b> <br/><br/>");
		text.append("Seu cadastro de Pessoa F&iacute;sica foi aprovado.</b> <br/><br/>");
		text.append("Caso necessite cadastrar uma Pessoa Jur&iacute;dica, da qual &eacute; Representante Legal, acesse o Protocolo Eletrnico, com seu CPF e senha, e utilize a op&ccedil;&atilde;o 'Pessoa Jur&iacute;dica', dispon&iacute;vel no sistema. Este novo cadastro tamb&eacute;m ser&aacute; analisado pelo Minist&eacute;rio da Justi&ccedil;a. ");
		text.append("<br/>");
		text.append("<br/>");
		text.append("</div>");
		text.append("<div class=\"rodape\" style=\"background: #FFFFFF; height:120px\">");
		//text.append("<img src=\"http://www.mc.gov.br/documentos/imagens/sistemas/barra_fim_cadsei.jpg\" style=\"width:881px; height:120px;\" /> ");
		text.append("Atenciosamente,");
		text.append("<br/>");
		text.append("<br/>");
		text.append("Protocolo Eletr&ocirc;nico");
		text.append("<br/>");
		text.append("<br/>");

		text.append("</div>");
		text.append("</div> </body></html>");

		SimpleMail mail = getInstance();
		mail.setText(text.toString());
		mail.setSubject("[Protocolo Eletrnico] - Cadastro Aprovado.");
		mail.addTO(proponente.getEmailProponente());
		mail.enviarEmail();
	}

	public static void sendEmailReprovacaoProponente(CadProponente proponente) throws Exception {

		StringBuilder text = new StringBuilder("");
		text.append("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
		text.append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">");
		text.append("<html xmlns=\"http://www.w3.org/1999/xhtml\">");
		text.append("<head>");
		text.append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />");
		text.append("<title>Protocolo Eletrnico</title>");
		text.append("</head>");

		text.append("<body>");
		text.append("<div class=\"conteudo\" style=\"width:881px; height:100%; margin:5px; padding:5px;\">");

		text.append("<div class=\"cabecalho\" style=\"background: #FFFFFF; height:35px;\">");
		text.append("</div>");
		text.append("<div class=\"corpo\" style=\"font-family: 'Trebuchet MS', Arial, Helvetica, sans-serif; color:#004B80; font-size:12px; line-height: 1.3em; margin-left:20px; margin-top:10px;\" >");

		text.append("Prezado Sr.(a) <b>" + HtmlUtils.htmlEscape(proponente.getPessoaProponente().getNome().toUpperCase()) + "&#44; </b> <br/><br/>");
		text.append("Seu cadastro de Pessoa F&iacute;sica foi reprovado!");
		text.append("<br/>");
		text.append("<br/>");
		text.append("O motivo da reprova&ccedil;&atilde;o, informado pela  &aacute;rea respons&aacute;vel, est&aacute; disposto abaixo:");
		text.append("<br/>");
		text.append(HtmlUtils.htmlEscape(proponente.getDescricaoAnaliseTecnica()));
		text.append("<br/>");
		text.append("<br/>");
		text.append("</div>");
		text.append("<div class=\"rodape\" style=\"background: #FFFFFF; height:120px\">");
		text.append("Atenciosamente,");
		text.append("<br/>");
		text.append("<br/>");
		text.append("Protocolo Eletr&ocirc;nico");
		text.append("<br/>");
		text.append("<br/>");

		text.append("</div>");
		text.append("</div> </body></html>");

		SimpleMail mail = getInstance();
		mail.setText(text.toString());
		mail.setSubject("[Protocolo Eletrnico] - Cadastro Reprovado.");
		mail.addTO(proponente.getEmailProponente());
		mail.enviarEmail();
	}
	
	public static void sendEmailMudancaStatusEmExigenciaProponente(CadProponente proponente) throws Exception {
		StringBuilder text = new StringBuilder("");
		text.append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">");
		text.append("<html xmlns=\"http://www.w3.org/1999/xhtml\">");
		text.append("<head>");
		text.append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />");
		text.append("<title>Protocolo Eletrnico</title>");
		text.append("</head>");

		text.append("<body>");
		text.append("<div class=\"conteudo\" style=\"width:881px; height:100%; margin:5px; padding:5px;\">");

		text.append("<div class=\"cabecalho\" style=\"background: #FFFFFF; height:35px;\">");
		text.append("</div>");
		text.append("<div class=\"corpo\" style=\"font-family: 'Trebuchet MS', Arial, Helvetica, sans-serif; color:#004B80; font-size:12px; line-height: 1.3em; margin-left:20px; margin-top:10px;\" >");
		text.append("Prezado Sr.(a) <b>" + HtmlUtils.htmlEscape(proponente.getPessoaProponente().getNome().toUpperCase()) + "&#44; </b> <br/><br/>");

		text.append("Seu cadastro de Pessoa F&iacute;sica necessita dados complementares para a aprova&ccedil;&atilde;o</b>");

		text.append("<br/>");
		text.append("e est&#225; sendo analisado pela &#225;rea t&eacute;cnica e precisa atender &agrave;s exig&ecirc;ncias abaixo dispostas:");
		text.append("<br/>");
		text.append(HtmlUtils.htmlEscape(proponente.getDescricaoAnaliseTecnica()));
		text.append("<br/>");
		text.append("(Os dados fornecidos acima s&atilde;o de responsabilidade da &#225;rea de an&#225;lise de cadastros de Pessoas F&iacute;sicas).");
		text.append("<br/>");
		text.append("<br/>");
		text.append("</div>");
		text.append("<div class=\"rodape\" style=\"background: #FFFFFF; height:120px\">");
		//text.append("<img src=\"http://www.mc.gov.br/documentos/imagens/sistemas/barra_fim_cadsei.jpg\" style=\"width:881px; height:120px;\" /> ");
		text.append("Atenciosamente,");
		text.append("<br/>");
		text.append("<br/>");
		text.append("Protocolo Eletr&ocirc;nico");
		text.append("<br/>");
		text.append("<br/>");

		text.append("</div>");
		text.append("</div> </body></html>");

		SimpleMail mail = getInstance();
		mail.setText(text.toString());
		mail.setSubject("[Protocolo Eletrnico] Cadastro de Pessoa Fisica necessita dados complementares para deferimento.");
		mail.addTO(proponente.getEmailProponente());
		mail.enviarEmail();
	}

	public static void sendEmailAprovacaoEmpresa(CadEmpresa empresa) throws Exception {

		StringBuilder text = new StringBuilder("");
		text.append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">");
		text.append("<html xmlns=\"http://www.w3.org/1999/xhtml\">");
		text.append("<head>");
		text.append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />");
		text.append("<title>Protocolo Eletrnico</title>");
		text.append("</head>");

		text.append("<body>");
		text.append("<div class=\"conteudo\" style=\"width:881px; height:100%; margin:5px; padding:5px;\">");

		text.append("<div class=\"cabecalho\" style=\"background: #FFFFFF; height:35px;\">");
		//text.append("<img src=\"http://www.mc.gov.br/documentos/imagens/sistemas/barra.jpg\" style=\"width:881px;\" /> ");
		text.append("</div>");
		text.append("<div class=\"corpo\" style=\"font-family: 'Trebuchet MS', Arial, Helvetica, sans-serif; color:#004B80; font-size:12px; line-height: 1.3em; margin-left:20px; margin-top:10px;\" >");

		text.append("Prezado Sr.(a) <b>" + HtmlUtils.htmlEscape(empresa.getProponente().getPessoaProponente().getNome().toUpperCase()) + "&#44; </b> <br/>");
		text.append("<br/>");
		text.append("O cadastro da Pessoa Jur&iacute;dica "+HtmlUtils.htmlEscape(empresa.getPessoaTitular().getRazaoSocial())+ " foi aprovado!</b> <br/>");
		text.append("<br/>");
		text.append("Agora voc&ecirc; pode encaminhar peti&ccedil;&otilde;es ao Minist&eacute;rio da Justi&ccedil;a tamb&eacute;m em nome da Pessoa Jur&iacute;dica aprovada.");
		text.append("<br/>");
		text.append("<br/>");
		text.append("</div>");
		text.append("<div class=\"rodape\" style=\"background: #FFFFFF; height:120px\">");
		//text.append("<img src=\"http://www.mc.gov.br/documentos/imagens/sistemas/barra_fim_cadsei.jpg\" style=\"width:881px; height:120px;\" /> ");
		text.append("Atenciosamente,");
		text.append("<br/>");
		text.append("<br/>");
		text.append("Protocolo Eletr&ocirc;nico");
		text.append("<br/>");
		text.append("<br/>");

		
		text.append("</div>");
		text.append("</div> </body></html>");

		SimpleMail mail = getInstance();
		mail.setText(text.toString());
		mail.setSubject("[Protocolo Eletrnico] - Cadastro de Pessoa Juridica Aprovado.");
		mail.addTO(empresa.getProponente().getEmailProponente());
		mail.enviarEmail();
	}

	public static void sendEmailReprovacaoEmpresa(CadEmpresa empresa) throws Exception {

		StringBuilder text = new StringBuilder("");
		text.append("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
		text.append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">");
		text.append("<html xmlns=\"http://www.w3.org/1999/xhtml\">");
		text.append("<head>");
		text.append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />");
		text.append("<title>Protocolo Eletrnico</title>");
		text.append("</head>");

		text.append("<body>");
		text.append("<div class=\"conteudo\" style=\"width:881px; height:100%; margin:5px; padding:5px;\">");

		text.append("<div class=\"cabecalho\" style=\"background: #FFFFFF; height:35px;\">");
		//text.append("<img src=\"http://www.mc.gov.br/documentos/imagens/sistemas/barra.jpg\" style=\"width:881px;\" /> ");
		text.append("</div>");
		text.append("<div class=\"corpo\" style=\"font-family: 'Trebuchet MS', Arial, Helvetica, sans-serif; color:#004B80; font-size:12px; line-height: 1.3em; margin-left:20px; margin-top:10px;\" >");

		text.append("Prezado Sr.(a) <b>" + HtmlUtils.htmlEscape(empresa.getProponente().getPessoaProponente().getNome().toUpperCase()) + "&#44; </b> <br/>");
		text.append("<br/>");
		text.append("Seu cadastro da Pessoa Jur&iacute;dica "+HtmlUtils.htmlEscape(empresa.getPessoaTitular().getRazaoSocial())+" foi reprovado!</b> <br/>");
		text.append("<br/>");
		text.append("O motivo da reprova&ccedil;&atilde;o, informado pela &aacute;rea respons&aacute;vel, est&aacute; disposto abaixo:");
		text.append("<br/>");
		text.append(HtmlUtils.htmlEscape(empresa.getDescricaoAnaliseTecnica()));
		text.append("<br/>");
		text.append("<br/>");
		text.append("</div>");
		text.append("<div class=\"rodape\" style=\"background: #FFFFFF; height:120px\">");
		//text.append("<img src=\"http://www.mc.gov.br/documentos/imagens/sistemas/barra_fim_cadsei.jpg\" style=\"width:881px; height:120px;\" /> ");
		text.append("Atenciosamente,");
		text.append("<br/>");
		text.append("<br/>");
		text.append("Protocolo Eletr&ocirc;nico");
		text.append("<br/>");
		text.append("<br/>");

		text.append("</div>");
		text.append("</div> </body></html>");

		SimpleMail mail = getInstance();
		mail.setText(text.toString());
		mail.setSubject("[Protocolo Eletrnico] Cadastro de Pessoa Juridica foi reprovado");
		mail.addTO(empresa.getProponente().getEmailProponente());
		mail.enviarEmail();
	}

	

	public static void sendEmailMudancaStatusEmExigenciaEmpresa(CadEmpresa empresa) throws Exception {

		StringBuilder text = new StringBuilder("");
		text.append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">");
		text.append("<html xmlns=\"http://www.w3.org/1999/xhtml\">");
		text.append("<head>");
		text.append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />");
		text.append("<title>Protocolo Eletrnico</title>");
		text.append("</head>");

		text.append("<body>");
		text.append("<div class=\"conteudo\" style=\"width:881px; height:100%; margin:5px; padding:5px;\">");

		text.append("<div class=\"cabecalho\" style=\"background: #FFFFFF; height:35px;\">");
		//text.append("<img src=\"http://www.mc.gov.br/documentos/imagens/sistemas/barra.jpg\" style=\"width:881px;\" /> ");
		text.append("</div>");
		text.append("<div class=\"corpo\" style=\"font-family: 'Trebuchet MS', Arial, Helvetica, sans-serif; color:#004B80; font-size:12px; line-height: 1.3em; margin-left:20px; margin-top:10px;\" >");

		text.append("Prezado Sr.(a) <b>" + HtmlUtils.htmlEscape(empresa.getProponente().getPessoaProponente().getNome().toUpperCase()) + "&#44; </b> <br/>");
		text.append("<br/>");
		text.append("Seu cadastro de Pessoa Jur&iacute;dica necessita dados complementares para a aprova&ccedil;&atilde;o.</b> <br/>");
		text.append("<br/>");
		text.append(" O cadastro da Pessoa Jur&iacute;dica "+ HtmlUtils.htmlEscape(empresa.getPessoaTitular().getRazaoSocial()));
		text.append("<br/>");
		text.append("est&#225; sendo analisado pela &#225;rea t&eacute;cnica e precisa atender &agrave;s exig&ecirc;ncias abaixo dispostas:");
		text.append("<br/>");
		text.append(HtmlUtils.htmlEscape(empresa.getDescricaoAnaliseTecnica()));
		text.append("<br/>");
		text.append("(Os dados fornecidos acima s&atilde;o de responsabilidade da &#225;rea de an&#225;lise de cadastros de Pessoas Jur&iacute;dicas).");
		text.append("<br/>");
		text.append("<br/>");
		text.append("<br/>");
		text.append("</div>");
		text.append("<div class=\"rodape\" style=\"background: #FFFFFF; height:120px\">");
		text.append("Atenciosamente,");
		text.append("<br/>");
		text.append("<br/>");
		text.append("Protocolo Eletr&ocirc;nico");
		text.append("<br/>");
		text.append("<br/>");

		text.append("</div>");
		text.append("</div> </body></html>");

		SimpleMail mail = getInstance();

		mail.setText(text.toString());
		mail.setSubject("[Protocolo Eletrnico] Cadastro de Pessoa Jurdica necessita dados complementares para deferimento.");
		mail.addTO(empresa.getProponente().getEmailProponente());
		mail.enviarEmail();
	}

	public static void sendEmailProcuracao(CadProcuracao procuracao, List<CrpContatoEmail> listEmails) throws Exception {

		StringBuilder text = new StringBuilder("");
		text.append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">");
		text.append("<html xmlns=\"http://www.w3.org/1999/xhtml\">");
		text.append("<head>");
		text.append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />");
		text.append("<title>Protocolo Eletrnico - Recebimento de Procura&ccedil;&atilde;o </title>");
		text.append("</head>");

		text.append("<body>");
		text.append("<div class=\"conteudo\" style=\"width:881px; height:100%; margin:5px; padding:5px;\">");

		text.append("<div class=\"cabecalho\" style=\"background: #FFFFFF; height:35px;\">");
		text.append("</div>");
		text.append("<div class=\"corpo\" style=\"font-family: 'Trebuchet MS', Arial, Helvetica, sans-serif; color:#004B80; font-size:12px; line-height: 1.3em; margin-left:20px; margin-top:10px;\" >");

		if(procuracao.getProponenteOutorgado() != null && procuracao.getProponenteOutorgado().getId() != null){
			text.append("Prezado(a) Sr(a). " + HtmlUtils.htmlEscape(procuracao.getProponenteOutorgado().getPessoaProponente().getNome()));
		} else {
			text.append("Prezado(a) Sr(a). " + HtmlUtils.htmlEscape(procuracao.getEmpresaOutorgado().getPessoaTitular().getRazaoSocial()));
		}
		text.append("<br/>");
		text.append("<br/>");
		
		if(procuracao.getProponenteOutorgante() != null && procuracao.getProponenteOutorgante().getId() != null){
			text.append("Foi concedida a voc&ecirc; uma Procura&ccedil;&atilde;o Eletr&ocirc;nica para representar " + HtmlUtils.htmlEscape(procuracao.getProponenteOutorgante().getPessoaProponente().getNome()));
		} else {
			text.append("Foi concedida a voc&ecirc; uma Procura&ccedil;&atilde;o Eletr&ocirc;nica para representar " + HtmlUtils.htmlEscape(procuracao.getEmpresaOutorgante().getPessoaTitular().getRazaoSocial()));
		}
		
		text.append("<br/>");
		text.append("Por meio desta procura&ccedil;&atilde;o você poder&aacute; apresentar peti&ccedil;&otilde;es em nome do outorgante junto ao Minist&eacute;rio da Justi&ccedil;a. Para visualizar a procura&ccedil;&atilde;o ou apresentar peti&ccedil;&otilde;es, acesse este link: [link tela SisProtocolo Eletrnico].");
		
		text.append("<br/>");
		text.append("<br/>");
		text.append("</div>");
		text.append("<div class=\"rodape\" style=\"background: #FFFFFF; height:120px\">");
		//text.append("<img src=\"http://www.mc.gov.br/documentos/imagens/sistemas/barra_fim_cadsei.jpg\" style=\"width:881px; height:120px;\" /> ");
		text.append("Atenciosamente,");
		text.append("<br/>");
		text.append("<br/>");
		text.append("Protocolo Eletr&ocirc;nico");
		text.append("<br/>");
		text.append("<br/>");

		text.append("</div>");
		text.append("</div> </body></html>");

		SimpleMail mail = getInstance();
		mail.setText(text.toString());
		mail.setSubject("[Protocolo Eletrnico] - Recebimento de Peticionamento.");
		if(procuracao.getProponenteOutorgado() != null && procuracao.getProponenteOutorgado().getId() != null){
			mail.addTO(procuracao.getProponenteOutorgado().getEmailProponente());
		} else {
			if(!listEmails.isEmpty()){
				for(CrpContatoEmail email : listEmails){
					mail.addTO(email.getDescricao());	
					break;
				}
			}
		}
		mail.enviarEmail();
	}
	
	public static void sendEmailPeticionamento(CadPeticao peticao, String emailPara, String numeroProtocoloExistente) throws Exception {

		StringBuilder text = new StringBuilder("");
		text.append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">");
		text.append("<html xmlns=\"http://www.w3.org/1999/xhtml\">");
		text.append("<head>");
		text.append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />");
		text.append("<title>Protocolo Eletrnico</title>");
		text.append("</head>");

		text.append("<body>");
		text.append("<div class=\"conteudo\" style=\"width:881px; height:100%; margin:5px; padding:5px;\">");

		text.append("<div class=\"cabecalho\" style=\"background: #FFFFFF; height:35px;\">");
		text.append("</div>");
		text.append("<div class=\"corpo\" style=\"font-family: 'Trebuchet MS', Arial, Helvetica, sans-serif; color:#004B80; font-size:12px; line-height: 1.3em; margin-left:20px; margin-top:10px;\" >");
		
		text.append(" Prezado Sr. (a) "+HtmlUtils.htmlEscape(peticao.getProponente().getPessoaProponente().getNome().toUpperCase()));
		text.append("<br/>");
		text.append("<br/>");
		text.append("Sua peti&ccedil;&atilde;o foi enviada com sucesso, segue abaixo o n&uacute;mero do protocolo para que seja poss&iacute;vel acompanhar o andamento do processo.");
		text.append("<br/>");
		text.append("<br/>");
		if(numeroProtocoloExistente == null || numeroProtocoloExistente.isEmpty()){
			text.append(peticao.getNumeroProcessoFormatado());
		} else {
			text.append(peticao.getNumeroProcessoFormatado() + " com refer&ecirc;ncia ao processo " + numeroProtocoloExistente);
		}
		text.append("<br/>");
		text.append("<br/>");
		text.append("</div>");
		text.append("<div class=\"rodape\" style=\"background: #FFFFFF; height:120px\">");
		text.append("Atenciosamente,");
		text.append("<br/>");
		text.append("<br/>");
		text.append("Protocolo Eletr&ocirc;nico");
		text.append("<br/>");
		text.append("<br/>");
		text.append("</div>");
		text.append("</div> </body></html>");

		SimpleMail mail = getInstance();
		mail.setText(text.toString());
		mail.setSubject("[Protocolo Eletrnico] - Recebimento de Peticionamento.");
		mail.addTO(emailPara);
		mail.enviarEmail();
	}
}