package br.gov.mc.cadsei.util;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.ResourceBundle;

import javax.faces.context.FacesContext;

/**
 * 
 * @author Daniel Jeremias
 * 
 */
public class MessagesUtil {

	private static ResourceBundle bundle;

	static {
		Locale local = FacesContext.getCurrentInstance().getViewRoot().getLocale();
		bundle = ResourceBundle.getBundle("messages", local);
	}

	public static String getMessage(String key) {
		return bundle.getString(key);
	}

	public static String getMessage(String key, Object... params) {
		String message = getMessage(key);
		MessageFormat formatter = new MessageFormat(message);
		return formatter.format(params);
	}

}