package br.gov.mc.cadsei.util;

import java.util.Arrays;

public class StringUtil {

	/**
	 * Verifica se a extensão
	 * @param String | Nome do arquivo
	 * @param String | Extensões a serem validadas separadas por vírgula (,)
	 * @return boolean | true ou false 
	 */
	public static boolean isValidExtension(String filename, String extensionsValid){
		if(filename == null || filename.isEmpty()){
			throw new IllegalArgumentException("Argument filename cannot be null!");
		}
		if(extensionsValid == null || extensionsValid.isEmpty()){
			throw new IllegalArgumentException("Argument extensionsValid cannot be null!");
		}
		if(extensionsValid.equals("*")){
			return true;
		}
		String extension = filename.lastIndexOf(".") > 0 ? filename.substring(filename.lastIndexOf(".") + 1) : null;
		return Arrays.asList(extensionsValid.split(",")).contains(extension);
	}
	
	/**
	 * Substitui os espaços em branco da String por "_". 
	 * @param String | Valor a ser substituído
	 * @return String
	 */
	public static String replaceWhiteSpace(String replaceString){
		if(replaceString == null || replaceString.isEmpty()){
			throw new IllegalArgumentException("Argument replaceString cannot be null!");
		}
		return replaceString.replace(" ", "_");
	}	
	
	public static boolean isEmpty(String value) {
		return (value == null) || (value.isEmpty());
	}

	public static String convertSimNao(Boolean condicao) {
		if (condicao != null) {
			return condicao ? MessagesUtil.getMessage("SIM") : MessagesUtil.getMessage("NAO");
		}
		return null;
	}

	public static String removeMascara(String objeto) {
		if (objeto != null) {
			return objeto.replace(".", "").replace("/", "").replace("-", "").replace("_", "");
		}
		return objeto;
	}
	
	public static String escape(String s) {
/*		StringBuffer sb = new StringBuffer();
		int n = s.length();
		for (int i = 0; i < n; ++i) {
			char c = s.charAt(i);
			switch (c) {
			case 'À':
				sb.append("&Agrave;");
				break;
			case 'Á':
				sb.append("&Aacute;");
				break;
			case 'Â':
				sb.append("&Acirc;");
				break;
			case 'Ã':
				sb.append("&Atilde;");
				break;
			case 'Ä':
				sb.append("&Auml;");
				break;
			case 'Å':
				sb.append("&Aring;");
				break;
			case 'Æ':
				sb.append("&AElig;");
				break;
			case 'Ç':
				sb.append("&Ccedil;");
				break;
			case 'È':
				sb.append("&Egrave;");
				break;
			case 'É':
				sb.append("&Eacute;");
				break;
			case 'Ê':
				sb.append("&Ecirc;");
				break;
			case 'Ë':
				sb.append("&Euml;");
				break;
			case 'Ì':
				sb.append("&Igrave;");
				break;
			case 'Í':
				sb.append("&Iacute;");
				break;
			case 'Ï':
				sb.append("&Iuml;");
				break;
			case 'Î':
				sb.append("&Icirc;");
				break;
			case 'Ð':
				sb.append("&ETH;");
				break;
			case 'Ñ':
				sb.append("&Ntilde;");
				break;
			case 'Ò':
				sb.append("&Ograve;");
				break;
			case 'Ó':
				sb.append("&Oacute;");
				break;
			case 'Ô':
				sb.append("&Ocirc;");
				break;
			case 'Õ':
				sb.append("&Otilde;");
				break;
			case 'Ö':
				sb.append("&Ouml;");
				break;
			case 'Ø':
				sb.append("&Oslash;");
				break;
			case 'Ù':
				sb.append("&Ugrave;");
				break;
			case 'Ú':
				sb.append("&Uacute;");
				break;
			case 'Û':
				sb.append("&Ucirc;");
				break;
			case 'Ü':
				sb.append("&Uuml;");
				break;
			case 'Ý':
				sb.append("&Yacute;");
				break;
			case 'Þ':
				sb.append("&THORN;");
				break;
			case 'ß':
				sb.append("&THORN;");
				break;
			case 'à':
				sb.append("&agrave;");
				break;
			case 'á':
				sb.append("&aacute;");
				break;
			case 'â':
				sb.append("&acirc;");
				break;
			case 'ã':
				sb.append("&atilde;");
				break;
			case 'ä':
				sb.append("&auml;");
				break;
			case 'å':
				sb.append("&aring;");
				break;	
			case 'æ':
				sb.append("&aelig;");
				break;	
			case 'ç':
				sb.append("&ccedil;");
				break;	
			case 'è':
				sb.append("&egrave;");
				break;	
			case 'é':
				sb.append("&eacute;");
				break;	
			case 'ê':
				sb.append("&ecirc;");
				break;	
			case 'ë':
				sb.append("&euml;");
				break;	
			case 'ì':
				sb.append("&igrave;");
				break;
			case 'í':
				sb.append("&iacute;");
				break;
			case 'î':
				sb.append("&icirc;");
				break;
			case 'ï':
				sb.append("&iuml;");
				break;
			case 'ð':
				sb.append("&eth;");
				break;
			case 'ñ':
				sb.append("&ntilde;");
				break;
			case 'ò':
				sb.append("&ograve;");
				break;
			case 'ó':
				sb.append("&oacute;");
				break;
			case 'ô':
				sb.append("&ocirc;");
				break;
			case 'õ':
				sb.append("&otilde;");
				break;
			case 'ö':
				sb.append("&ouml;");
				break;
			case 'ø':
				sb.append("&oslash;");
				break;
			case 'ù':
				sb.append("&ugrave;");
				break;
			case 'ú':
				sb.append("&uacute;");
				break;
			case 'û':
				sb.append("&ucirc;");
				break;
			case 'ü':
				sb.append("&uuml;");
				break;
			case 'ý':
				sb.append("&yacute;");
				break;
			case 'þ':
				sb.append("&thorn;");
				break;	
			case 'ÿ':
				sb.append("&yuml;");
				break;	
			default:
				sb.append(c);
			}
		}*/
		//return sb.toString();
		return s;
	}

}