package br.gov.mc.corporativo.entidade;

// Generated 23/02/2011 10:04:55 by Hibernate Tools 3.3.0.GA

import java.util.Collection;
import java.util.Date;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * CrpPessoa generated by hbm2java
 */
@Entity
@Table(name = "CRP_PESSOA",  catalog = "CORPORATIVO")
@Inheritance(strategy = InheritanceType.JOINED)
public class CrpPessoa implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_PESSOA")
	private Integer id;

	@Column(name = "DT_ALTERACAO")
	private Date dataAlteracao;

	@Column(name = "TIP_OPERACAO", columnDefinition="char")
	private String tipoOperacao;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_SITUACAO_PESSOA_ORGAO")
	private CrpSituacaoPessoaOrgao situacaoPessoaOrgao;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "COD_SIT_PES_RF" , columnDefinition="char")
	private CrpSituacPesRecFederal situacaoPessoaReceitaFederal;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_TIPO_PESSOA")
	private CrpTipoPessoa tipoPessoa;

	@OneToMany(mappedBy = "pessoa", cascade = CascadeType.REMOVE, fetch = FetchType.LAZY)
	private Collection<CrpEndereco> enderecos;

	@OneToMany(mappedBy = "pessoa", cascade = CascadeType.REMOVE, fetch = FetchType.LAZY)
	private Collection<CrpContatoEmail> emails;

	@OneToMany(mappedBy = "pessoa", cascade = CascadeType.REMOVE, fetch = FetchType.LAZY)
	private Collection<CrpContatoTelefone> telefones;

	public CrpPessoa() {
	}

	public CrpPessoa(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Date getDataAlteracao() {
		return dataAlteracao;
	}

	public void setDataAlteracao(Date dataAlteracao) {
		this.dataAlteracao = dataAlteracao;
	}

	public String getTipoOperacao() {
		return tipoOperacao;
	}

	public void setTipoOperacao(String tipoOperacao) {
		this.tipoOperacao = tipoOperacao;
	}

	public CrpSituacaoPessoaOrgao getSituacaoPessoaOrgao() {
		return situacaoPessoaOrgao;
	}

	public void setSituacaoPessoaOrgao(CrpSituacaoPessoaOrgao situacaoPessoaOrgao) {
		this.situacaoPessoaOrgao = situacaoPessoaOrgao;
	}

	public CrpSituacPesRecFederal getSituacaoPessoaReceitaFederal() {
		return situacaoPessoaReceitaFederal;
	}

	public void setSituacaoPessoaReceitaFederal(CrpSituacPesRecFederal situacaoPessoaReceitaFederal) {
		this.situacaoPessoaReceitaFederal = situacaoPessoaReceitaFederal;
	}

	public CrpTipoPessoa getTipoPessoa() {
		return tipoPessoa;
	}

	public void setTipoPessoa(CrpTipoPessoa tipoPessoa) {
		this.tipoPessoa = tipoPessoa;
	}

	public Collection<CrpEndereco> getEnderecos() {
		return enderecos;
	}

	public void setEnderecos(Collection<CrpEndereco> enderecos) {
		this.enderecos = enderecos;
	}

	public Collection<CrpContatoEmail> getEmails() {
		return emails;
	}

	public void setEmails(Collection<CrpContatoEmail> emails) {
		this.emails = emails;
	}

	public Collection<CrpContatoTelefone> getTelefones() {
		return telefones;
	}

	public void setTelefones(Collection<CrpContatoTelefone> telefones) {
		this.telefones = telefones;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

}
