package br.gov.mc.corporativo.entidade;

// Generated 23/02/2011 10:04:55 by Hibernate Tools 3.3.0.GA

import java.math.BigDecimal;
import java.util.Collection;
import java.util.Date;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Transient;

import br.gov.mc.corporativo.format.StringUtil;

/**
 * CrpPessoaJuridica generated by hbm2java
 */
@Entity
@Table(name = "CRP_PESSOA_JURIDICA",  catalog = "CORPORATIVO")
public class CrpPessoaJuridica extends CrpPessoa implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	@Column(name = "DSC_OBJETO_SOCIAL" , columnDefinition="text")
	private String objetoSocial;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_TIPO_PESSOA_JUR")
	private CrpTipoPessoaJuridica tipoPessoaJuridica;

	@Column(name = "DSC_URL")
	private String url;

	@Column(name = "DT_SITUACAO_CADASTRAL")
	private Date dataSituacaoCadastral;

	@Column(name = "DT_SITUACAO_ESPECIAL")
	private Date dataSituacaoEspecial;

	@Column(name = "NOM_EMPRESARIAL")
	private String razaoSocial;

	@Column(name = "NOM_FANTASIA")
	private String nomeFantasia;

	@Column(name = "NUM_CNPJ" )
	private String cnpj;

	@Column(name = "VLR_CAPITAL_SOCIAL" )
	private BigDecimal capitalSocial;
	
	@Column(name = "DT_ATUALIZACAO")
	private Date dtAtualizacao;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "COD_CNAE")
	private CrpCnae cnae;

	@ManyToOne
	@JoinColumn(name = "ID_MOTIVO")
	private CrpMotivo motivo;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "COD_MUNICIPIO_IBGE")
	private CrpMunicipio municipio;

	@ManyToOne
	@JoinColumn(name = "COD_NAT_JUR")
	private CrpNaturezaJuridica naturezaJuridica;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_PESSOA_MATRIZ")
	private CrpPessoaJuridica matriz;

	@ManyToOne
	@JoinColumn(name = "ID_PORTE_PJ")
	private CrpPortePessoaJuridica porte;

	@ManyToOne
	@JoinColumn(name = "ID_SITUACAO_ESPECIAL")
	private CrpSituacaoEspecial situacaoEspecial;

	@OneToMany(mappedBy = "pessoaJuridica")
	private Collection<CrpPessoaJuridicaAnatel> pessoaJuridicasAnatel;

	@OneToMany(mappedBy = "pessoaJuridica")
	private Collection<CrpQuadroSocioAdm> quadroSocios;

	@OneToMany(mappedBy = "pessoaJuridica")
	private Collection<CrpRepresentantePesJur> representantesLegais;

	@Column(name = "FLG_ATUALIZADO_RECEITA")
	private Boolean flgAtualizadoReceita;
	
	/* Colunas adicionadas por necessidade descrita na OS 104137 */
	@Temporal(TemporalType.DATE)
	@Column(name = "DT_ABERTURA")
	private Date dataAbertura;
	
	@Column(name = "FLG_SIMPLES")
	private Boolean flgSimples;
	
	@Column(name = "NUM_CNPJ_SUCEDIDA")
	private String numCnpjSucedida;
	
	@OneToMany(mappedBy = "pessoaJuridica", cascade = CascadeType.REMOVE, fetch = FetchType.LAZY)
	private Collection<CrpPessoaJuridicaSucessora> sucessoras;
	/* OS 104137 */ 
	
	@Transient
	private String cnpjFormat;

	public CrpPessoaJuridica() {
	}

	public CrpPessoaJuridica(Integer id) {
		super(id);
	}

	public String getObjetoSocial() {
		return objetoSocial;
	}

	public void setObjetoSocial(String objetoSocial) {
		this.objetoSocial = objetoSocial;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public Date getDataSituacaoCadastral() {
		return dataSituacaoCadastral;
	}

	public void setDataSituacaoCadastral(Date dataSituacaoCadastral) {
		this.dataSituacaoCadastral = dataSituacaoCadastral;
	}

	public Date getDataSituacaoEspecial() {
		return dataSituacaoEspecial;
	}

	public void setDataSituacaoEspecial(Date dataSituacaoEspecial) {
		this.dataSituacaoEspecial = dataSituacaoEspecial;
	}

	public String getRazaoSocial() {
		return razaoSocial;
	}

	public void setRazaoSocial(String razaoSocial) {
		this.razaoSocial = razaoSocial;
	}

	public String getNomeFantasia() {
		return nomeFantasia;
	}

	public void setNomeFantasia(String nomeFantasia) {
		this.nomeFantasia = nomeFantasia;
	}

	public String getCnpj() {
		return cnpj;
	}

	public void setCnpj(String cnpj) {
		this.cnpj = cnpj;
	}

	public BigDecimal getCapitalSocial() {
		return capitalSocial;
	}

	public void setCapitalSocial(BigDecimal capitalSocial) {
		this.capitalSocial = capitalSocial;
	}

	public CrpCnae getCnae() {
		return cnae;
	}

	public void setCnae(CrpCnae cnae) {
		this.cnae = cnae;
	}

	public CrpMotivo getMotivo() {
		return motivo;
	}

	public void setMotivo(CrpMotivo motivo) {
		this.motivo = motivo;
	}

	public CrpMunicipio getMunicipio() {
		return municipio;
	}

	public void setMunicipio(CrpMunicipio municipio) {
		this.municipio = municipio;
	}

	public CrpNaturezaJuridica getNaturezaJuridica() {
		return naturezaJuridica;
	}

	public void setNaturezaJuridica(CrpNaturezaJuridica naturezaJuridica) {
		this.naturezaJuridica = naturezaJuridica;
	}

	public CrpPessoaJuridica getMatriz() {
		return matriz;
	}

	public void setMatriz(CrpPessoaJuridica matriz) {
		this.matriz = matriz;
	}

	public CrpPortePessoaJuridica getPorte() {
		return porte;
	}

	public void setPorte(CrpPortePessoaJuridica porte) {
		this.porte = porte;
	}

	public CrpSituacaoEspecial getSituacaoEspecial() {
		return situacaoEspecial;
	}

	public void setSituacaoEspecial(CrpSituacaoEspecial situacaoEspecial) {
		this.situacaoEspecial = situacaoEspecial;
	}

	public CrpTipoPessoaJuridica getTipoPessoaJuridica() {
		return tipoPessoaJuridica;
	}

	public void setTipoPessoaJuridica(CrpTipoPessoaJuridica tipoPessoaJuridica) {
		this.tipoPessoaJuridica = tipoPessoaJuridica;
	}

	public Collection<CrpPessoaJuridicaAnatel> getPessoaJuridicasAnatel() {
		return pessoaJuridicasAnatel;
	}

	public void setPessoaJuridicasAnatel(Collection<CrpPessoaJuridicaAnatel> pessoaJuridicasAnatel) {
		this.pessoaJuridicasAnatel = pessoaJuridicasAnatel;
	}

	public Collection<CrpQuadroSocioAdm> getQuadroSocios() {
		return quadroSocios;
	}

	public void setQuadroSocios(Collection<CrpQuadroSocioAdm> quadroSocios) {
		this.quadroSocios = quadroSocios;
	}

	public Collection<CrpRepresentantePesJur> getRepresentantesLegais() {
		return representantesLegais;
	}

	public void setRepresentantesLegais(Collection<CrpRepresentantePesJur> representantesLegais) {
		this.representantesLegais = representantesLegais;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public void setFlgAtualizadoReceita(Boolean flgAtualizadoReceita) {
		this.flgAtualizadoReceita = flgAtualizadoReceita;
	}

	public Boolean getFlgAtualizadoReceita() {
		return flgAtualizadoReceita;
	}

	public String getCnpjFormat() {
		if (cnpj != null && !cnpj.equals("") && cnpj.length() == 14) {
			return StringUtil.format("##.###.###/####-##", cnpj);
		}else if (cnpj.contains(".")){
		    return cnpj;
		}
		return cnpjFormat;
	}

	public void setCnpjFormat(String cnpjFormat) {
		this.cnpjFormat = cnpjFormat;
	}

	public Date getDtAtualizacao() {
		return dtAtualizacao;
	}

	public void setDtAtualizacao(Date dtAtualizacao) {
		this.dtAtualizacao = dtAtualizacao;
	}
	
	public Date getDataAbertura() {
		return dataAbertura;
	}

	public void setDataAbertura(Date dataAbertura) {
		this.dataAbertura = dataAbertura;
	}

	public Boolean getFlgSimples() {
		return flgSimples;
	}

	public void setFlgSimples(Boolean flgSimples) {
		this.flgSimples = flgSimples;
	}
	
	public String getNumCnpjSucedida() {
		return numCnpjSucedida;
	}

	public void setNumCnpjSucedida(String numCnpjSucedida) {
		this.numCnpjSucedida = numCnpjSucedida;
	}
	
	public String getNumCnpjSucedidaFormat() {
		if (numCnpjSucedida != null && !numCnpjSucedida.isEmpty()) {
			return StringUtil.format("##.###.###/####-##", numCnpjSucedida);
		}
		return numCnpjSucedida;
	}

	public Collection<CrpPessoaJuridicaSucessora> getSucessoras() {
		return sucessoras;
	}

	public void setSucessoras(Collection<CrpPessoaJuridicaSucessora> sucessoras) {
		this.sucessoras = sucessoras;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((cnpj == null) ? 0 : cnpj.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		System.out.println("equals pessoaJuridicaUtil");
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		CrpPessoaJuridica other = (CrpPessoaJuridica) obj;
		if (cnpj == null) {
			if (other.cnpj != null)
				return false;
		} else if (!cnpj.equals(other.cnpj))
			return false;
		return true;
	}
	
}