package br.gov.mc.corporativo.entidade;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import br.gov.mc.corporativo.format.StringUtil;

@Entity
@Table(name = "CRP_PESSOA_JURIDICA_SUCESSORA",  catalog = "CORPORATIVO")
public class CrpPessoaJuridicaSucessora implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_PESSOA_JUR_SUCESSORA", nullable = false, unique = true)
	private Integer id;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_PESSOA_JUR", nullable = false)
	private CrpPessoaJuridica pessoaJuridica;

	@Column(name = "NUM_CNPJ_SUCESSORA", nullable = false)
	private String numCnpjSucessora;
	
	public CrpPessoaJuridicaSucessora() {
	}

	public CrpPessoaJuridicaSucessora(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public CrpPessoaJuridica getPessoaJuridica() {
		return pessoaJuridica;
	}

	public void setPessoaJuridica(CrpPessoaJuridica pessoaJuridica) {
		this.pessoaJuridica = pessoaJuridica;
	}

	public String getNumCnpjSucessora() {
		return numCnpjSucessora;
	}

	public void setNumCnpjSucessora(String numCnpjSucessora) {
		this.numCnpjSucessora = numCnpjSucessora;
	}
	
	public String getNumCnpjSucessoraFormat() {
		if (numCnpjSucessora != null && !numCnpjSucessora.isEmpty()) {
			return StringUtil.format("##.###.###/####-##", numCnpjSucessora);
		}
		return numCnpjSucessora;
	}
	
}