package br.gov.mc.seg.entidade;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import br.gov.arquitetura.entidade.Entidade;

@Entity
@Table(name = "SEG_USUARIO", catalog = "CORPORATIVO")
public class SegUsuario extends Entidade<Integer> {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID_USUARIO", unique = true, nullable = false)
	private Integer id;

	@ManyToOne(fetch=FetchType.EAGER)
	@JoinColumn(name = "ID_TIPO_USUARIO", nullable = false)
	private SegTipoUsuario tipoUsuario;

	@Column(name = "NOM_USUARIO", length = 100, nullable = false)
	private String nomUsuario;

	@Column(name = "DSC_EMAIL", length = 100, nullable = false)
	private String dscEmail;

	@Column(name = "FLG_ATIVO", nullable = false)
	private Boolean flgAtivo;

	public SegUsuario() {
		super();
	}

	public SegUsuario(Integer id) {
		super();
		this.id = id;
	}

	@Override
	public Integer getId() {
		return id;
	}

	@Override
	public void setId(Integer id) {
		this.id = id;
	}

	public SegTipoUsuario getTipoUsuario() {
		return tipoUsuario;
	}

	public void setTipoUsuario(SegTipoUsuario tipoUsuario) {
		this.tipoUsuario = tipoUsuario;
	}

	public String getNomUsuario() {
		return nomUsuario;
	}

	public void setNomUsuario(String nomUsuario) {
		this.nomUsuario = nomUsuario;
	}

	public String getDscEmail() {
		return dscEmail;
	}

	public void setDscEmail(String dscEmail) {
		this.dscEmail = dscEmail;
	}

	public Boolean getFlgAtivo() {
		return flgAtivo;
	}

	public void setFlgAtivo(Boolean flgAtivo) {
		this.flgAtivo = flgAtivo;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		SegUsuario other = (SegUsuario) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return this.getNomUsuario();
	}
	
}