package br.gov.mc.sei;

public class SeiPortTypeProxy implements br.gov.mc.sei.SeiPortType {
  private String _endpoint = null;
  private br.gov.mc.sei.SeiPortType seiPortType = null;
  
  public SeiPortTypeProxy() {
    _initSeiPortTypeProxy();
  }
  
  public SeiPortTypeProxy(String endpoint) {
    _endpoint = endpoint;
    _initSeiPortTypeProxy();
  }
  
  private void _initSeiPortTypeProxy() {
    try {
      seiPortType = (new br.gov.mc.sei.SeiServiceLocator()).getSeiPortService();
      if (seiPortType != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)seiPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)seiPortType)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (seiPortType != null)
      ((javax.xml.rpc.Stub)seiPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public br.gov.mc.sei.SeiPortType getSeiPortType() {
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType;
  }
  
  public br.gov.mc.sei.entidade.RetornoGeracaoProcedimento gerarProcedimento(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, br.gov.mc.sei.entidade.Procedimento procedimento, br.gov.mc.sei.entidade.Documento[] documentos, java.lang.String[] procedimentosRelacionados, java.lang.String[] unidadesEnvio) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.gerarProcedimento(siglaSistema, identificacaoServico, idUnidade, procedimento, documentos, procedimentosRelacionados, unidadesEnvio);
  }
  
  public br.gov.mc.sei.entidade.RetornoInclusaoDocumento incluirDocumento(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, br.gov.mc.sei.entidade.Documento documento) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.incluirDocumento(siglaSistema, identificacaoServico, idUnidade, documento);
  }
  
  public br.gov.mc.sei.entidade.Unidade[] listarUnidades(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idTipoProcedimento, java.lang.String idSerie) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.listarUnidades(siglaSistema, identificacaoServico, idTipoProcedimento, idSerie);
  }
  
  public br.gov.mc.sei.entidade.TipoProcedimento[] listarTiposProcedimento(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String idSerie) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.listarTiposProcedimento(siglaSistema, identificacaoServico, idUnidade, idSerie);
  }
  
  public br.gov.mc.sei.entidade.Serie[] listarSeries(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String idTipoProcedimento) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.listarSeries(siglaSistema, identificacaoServico, idUnidade, idTipoProcedimento);
  }
  
  public br.gov.mc.sei.entidade.RetornoConsultaProcedimento consultarProcedimento(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String protocoloProcedimento) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.consultarProcedimento(siglaSistema, identificacaoServico, idUnidade, protocoloProcedimento);
  }
  
  public br.gov.mc.sei.entidade.RetornoConsultaDocumento consultarDocumento(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String protocoloDocumento) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.consultarDocumento(siglaSistema, identificacaoServico, idUnidade, protocoloDocumento);
  }
  
  public java.lang.String gerarBloco(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String tipo, java.lang.String descricao, java.lang.String[] unidadesDisponibilizacao, java.lang.String[] documentos, java.lang.String sinDisponibilizar) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.gerarBloco(siglaSistema, identificacaoServico, idUnidade, tipo, descricao, unidadesDisponibilizacao, documentos, sinDisponibilizar);
  }
  
  public java.lang.String excluirBloco(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String idBloco) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.excluirBloco(siglaSistema, identificacaoServico, idUnidade, idBloco);
  }
  
  public java.lang.String disponibilizarBloco(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String idBloco) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.disponibilizarBloco(siglaSistema, identificacaoServico, idUnidade, idBloco);
  }
  
  public java.lang.String cancelarDisponibilizacaoBloco(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String idBloco) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.cancelarDisponibilizacaoBloco(siglaSistema, identificacaoServico, idUnidade, idBloco);
  }
  
  public java.lang.String incluirDocumentoBloco(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String idBloco, java.lang.String protocoloDocumento) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.incluirDocumentoBloco(siglaSistema, identificacaoServico, idUnidade, idBloco, protocoloDocumento);
  }
  
  public java.lang.String retirarDocumentoBloco(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String idBloco, java.lang.String protocoloDocumento) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.retirarDocumentoBloco(siglaSistema, identificacaoServico, idUnidade, idBloco, protocoloDocumento);
  }
  
  public java.lang.String incluirProcessoBloco(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String idBloco, java.lang.String protocoloProcedimento) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.incluirProcessoBloco(siglaSistema, identificacaoServico, idUnidade, idBloco, protocoloProcedimento);
  }
  
  public java.lang.String retirarProcessoBloco(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String idBloco, java.lang.String protocoloProcedimento) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.retirarProcessoBloco(siglaSistema, identificacaoServico, idUnidade, idBloco, protocoloProcedimento);
  }
  
  public java.lang.String reabrirProcesso(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String protocoloProcedimento) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.reabrirProcesso(siglaSistema, identificacaoServico, idUnidade, protocoloProcedimento);
  }
  
  public java.lang.String concluirProcesso(java.lang.String siglaSistema, java.lang.String identificacaoServico, java.lang.String idUnidade, java.lang.String protocoloProcedimento) throws java.rmi.RemoteException{
    if (seiPortType == null)
      _initSeiPortTypeProxy();
    return seiPortType.concluirProcesso(siglaSistema, identificacaoServico, idUnidade, protocoloProcedimento);
  }
  
  
}