package br.gov.mc.sei.client.base;

import java.io.IOException;
import java.text.MessageFormat;
import java.util.Properties;

import br.gov.mc.sei.client.util.Constants;

public abstract class BaseRepository {

	private Properties properties;
	private Properties messages;
	
	protected String getProperty(String key) {
		return (String) this.getProperties().get(key);
	}
	
	protected String getMessage(String key) {
		return (String) this.getMessages().get(key);
	}

	protected String getMessage(String key, Object... params) {
		String message = getMessage(key);
		MessageFormat formatter = new MessageFormat(message);
		return formatter.format(params);
	}
	
	protected String getRequiredMessage(String argument){
		return this.getMessage(Constants.REQUIRED_MESSAGE, argument);
	}

	protected Properties getProperties() {
		if(this.properties == null){
			this.properties = new Properties();
			try {
				this.properties.load(this.getClass().getClassLoader().getResourceAsStream(Constants.SEI_PROPERTIES));
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
		return this.properties;
	}

	protected Properties getMessages() {
		if(this.messages == null){
			this.messages = new Properties();
			try {
				this.messages.load(this.getClass().getClassLoader().getResourceAsStream(Constants.SEI_MESSAGES));
			} catch (IOException e) {
				e.printStackTrace();
			}
		}	
		return this.messages;
	}
	
}