package br.gov.mc.sei.client.util;

import java.util.ArrayList;
import java.util.List;

public class SeiIntegrationException extends Exception {

	private static final long serialVersionUID = 1L;
	
	private List<String> messages;

	public SeiIntegrationException() {
		super();
	}

	public SeiIntegrationException(String message, Throwable cause) {
		super(message, cause);
		this.getMessages().add(message);
	}

	public SeiIntegrationException(String message) {
		super(message);
		this.getMessages().add(message);
	}

	public SeiIntegrationException(Throwable cause) {
		super(cause);
	}

	public List<String> getMessages() {
		if(this.messages == null){
			this.messages = new ArrayList<String>();
			if(super.getMessage() != null && !super.getMessage().isEmpty()){
				this.messages.add(super.getMessage());
			}
		}
		return this.messages;
	}
	
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		if(!this.getMessages().isEmpty()){
			for (String message : this.getMessages()) {
				builder.append(message).append("\n");
			}
		}
		return builder.toString();
	}
	
}