package br.gov.mc.sei.client.util;

import java.util.List;

public final class StringUtils {

	/**
	 * Verifica se a string é nula ou vazia.
	 * @param Valor da string.
	 * @return Retorna true.
	 */
	public static boolean isNullOrEmpty(String value){
		if(value == null || value.isEmpty()){
			return true;
		}
		return false;
	}

	/**
	 * Verifica se a string é branca.
	 * @param Valor da string.
	 * @return Retorna true.
	 */
	public static boolean isBlank(String value){
		if(value != null && !value.isEmpty() && value.trim().length() == 0){
			return true;
		}
		return false;
	}
	
	/**
	 * Verifica se a lista informada é nula ou vazia
	 * @param Lista de valores
	 * @return Retorna true.
	 */
	public static boolean isNullOrEmpty(List<?> list){
		if(list == null || list.isEmpty()){
			return true;
		}
		return false;
	}
	
}